/*****************************************************************************
  $Id: multisetsNK.tst,v 1.1.1.1 2004/10/04 17:25:16 nthiery Exp $
  File:		lib/COMBINAT/TEST/multisetsNK.mu
  Authors:	Xavier Molinero <molinero@lsi.upc.es>
  Purpose:	Test file for the library 'combinat::multisetsNK'
  Created:	03/02/2004
  License:	LGPL
*****************************************************************************/

prog::testinit("multisetsNK"):

prog::testfunc(combinat::multisetsNK::isA):

prog::test(combinat::multisetsNK::isA([2], 3, 2),
           FALSE):
prog::test(combinat::multisetsNK::isA([1, 2], 3, 2),
           TRUE):
prog::test(combinat::multisetsNK::isA([1, 4], 3, 2),
           FALSE):
prog::test(combinat::multisetsNK::isA([], 3, 0),
           TRUE):
prog::test(combinat::multisetsNK::isA([], 3, 1),
           FALSE):

//unrank
n := 10:
k := 4:
qw:= combinat::multisetsNK::unrank(1,n,k):
for i from 2 to binomial(n+k-1,k) do
    qw:= qw, combinat::multisetsNK::unrank(i,n,k)
end_for:
prog::test(nops({qw}), binomial(n+k-1,k)):

//////////////////////////////////////////////////////////////////////////////
// Global checking of the package

prog::testfunc(combinat::multisetsNK):
prog::testexit():

prog::check(combinat::multisetsNK, 3):

// Local Variables: 
// mode: mupad
// End:

