/*****************************************************************************
  $Id: DecomposableClass.tst,v 1.1.1.1 2003/09/15 16:37:40 nthiery Exp $
  File:		lib/DOMAINS/CATEGORY/TEST/DecomposableClass.tst
  Authors:	Nicolas M. Thiry <nthiery@users.sourceforge.net>
  Purpose:	Test suite for the category Cat::DecomposableClass
  Created:	Wed Sep  3 14:54:24 2003
  License:	LGPL
  Project:	MuPAD-Combinat, http://mupad-combinat.sf.net
*****************************************************************************/

prog::testinit("DecomposableClass"):

domain test
    inherits Dom::BaseDomain;
    category Cat::DecomposableClass;
    axiom Ax::systemRep;

    domtype := DOM_LIST;
    specification := [Test = Alias(Sequence(A), DOM_LIST@op),
                      A = Atom
		     ];
end:

prog::test(test::list(4),
           [[A, A, A, A]]):
prog::test(test::count(4),
           1):
prog::test(test::random(4),
           [A, A, A, A]):
prog::test(test::unrank(4, 1),
           FAIL):
prog::test(test::unrank(1, 4),
           [A, A, A, A]):
prog::test(test::unrank(2, 4),
           FAIL):

//////////////////////////////////////////////////////////////////////////////
prog::testfunc(Cat::DecomposableClass):
//////////////////////////////////////////////////////////////////////////////

prog::check(test, 3):

prog::testexit():

// Local Variables:
// mode: mupad
// End:
