/*****************************************************************************
  $Id: HopfAlgebraWithBasis.tst,v 1.1.1.2 2004/10/04 17:25:13 nthiery Exp $
  File:		lib/DOMAINS/CATEGORY/TEST/HopfAlgebraWithBasis.tst
  Authors:	Nicolas M. Thiry <nthiery@users.sourceforge.net>
  Purpose:	Test suite for the category Cat::HopfAlgebraWithBasis
  Created:	Wed Sep  3 13:58:38 2003
  License:	LGPL
  Project:	MuPAD-Combinat, http://mupad-combinat.sf.net
*****************************************************************************/

prog::testinit("HopfAlgebraWithBasis"):

domain test
    inherits Dom::FreeModule(Dom::Rational, combinat::finiteClass([1]));
    category Cat::HopfAlgebraWithBasis(Dom::Rational);

    oneBasis := 1;
    counit   := (z) -> dom::coeff(z, 1); 	     
end:

//////////////////////////////////////////////////////////////////////////////
prog::testfunc(Cat::HopfAlgebraWithBasis):
//////////////////////////////////////////////////////////////////////////////

prog::check(test, 3):

prog::testexit():

// Local Variables:
// mode: mupad
// End:
