/*****************************************************************************
  $Id: IntegerListsLexClass.tst,v 1.1.1.2 2003/09/22 18:05:04 nthiery Exp $
  File:		lib/DOMAINS/CATEGORY/TEST/IntegerListsLexClass.tst
  Authors:	Nicolas M. Thiry <nthiery@users.sourceforge.net>
  Purpose:	Test suite for the category Cat::IntegerListsLexClass
  Created:	Wed Sep  3 14:56:03 2003
  License:	LGPL
  Project:	MuPAD-Combinat, http://mupad-combinat.sf.net
*****************************************************************************/

prog::testinit("IntegerListsLexClass"):

domain ivectors
    inherits Dom::BaseDomain;
    category Cat::IntegerListsLexClass;
    
    parseOptions :=
    proc(k)
    begin
	dom::parseOptionsIntegerListsLexClass
	(table(
	       Length	= k,
	       MinPart	= 0,
	       MaxPart	= infinity,
	       Inner	= NIL,
	       Outer	= NIL,
	       MinSlope= -infinity,
	       MaxSlope= infinity
	      ),
	 args(2..args(0)));
    end_proc;
end_domain:

prog::testfunc("parseOptions"):
prog::test(ivectors::list(5, 3, Outer = [1, 3, 4], MaxSlope = 4),
           [[1, 3, 1], [1, 2, 2], [1, 1, 3], [1, 0, 4], [0, 3, 2], [0, 2, 3], [0, 1, 4]]):

//////////////////////////////////////////////////////////////////////////////
prog::testfunc(Cat::IntegerListsLexClass):
//////////////////////////////////////////////////////////////////////////////

prog::check(ivectors, 3):

prog::testexit():

// Local Variables:
// mode: mupad
// End:
