/*****************************************************************************
  $Id: ModuleWithBasis.tst,v 1.1.1.1 2003/09/15 16:37:40 nthiery Exp $
  File:		lib/DOMAINS/CATEGORY/TEST/ModuleWithBasis.tst
  Authors:	Nicolas M. Thiry <nthiery@users.sourceforge.net>
  Purpose:	Test suite for the category Cat::ModuleWithBasis
  Created:	Wed Sep  3 14:54:08 2003
  License:	LGPL
  Project:	MuPAD-Combinat, http://mupad-combinat.sf.net
*****************************************************************************/

prog::testinit("ModuleWithBasis"):

domain test
    inherits Dom::BaseDomain;
    category Cat::ModuleWithBasis(Dom::Rational);

    basisIndices := combinat::partitions;
	// replace this by the empty combinatorial class
	// when combinatorial class from list will be integrated

    zero := new(dom);

    fromList := () -> dom::zero;
    toList   := () -> [];

    coeff :=
    proc(x: dom)
    begin
	if args(0)=1 then null() else 0 end_if;
    end_proc;

    _mult := () -> dom::zero;
    _plus := () -> dom::zero;

    monomial := () -> error("there is no monomial!");

end:

//////////////////////////////////////////////////////////////////////////////
prog::testfunc(Cat::ModuleWithBasis):
//////////////////////////////////////////////////////////////////////////////

prog::check(test, 3):

prog::testexit():

// Local Variables:
// mode: mupad
// End:
