/*****************************************************************************
  $Id: SemiRing.tst,v 1.1.1.2 2004/10/04 17:25:13 nthiery Exp $
  File:		lib/DOMAINS/CATEGORY/TEST/SemiRing.tst
  Authors:	Nicolas M. Thiry <nthiery@users.sourceforge.net>
  Purpose:	Test suite for the category Cat::SemiRing
  Created:	Wed Sep  3 14:52:10 2003
  License:	LGPL
  Project:	MuPAD-Combinat, http://mupad-combinat.sf.net
*****************************************************************************/

prog::testinit("SemiRing"):

domain test
    inherits Dom::BaseDomain;
    category Cat::SemiRing;

    _plus    := ()->error("not implemented");
    _mult    := ()->error("not implemented");
    _invert  := ()->error("not implemented");
    convert  := ()->error("not implemented");
    expr     := ()->error("not implemented");
    print    := ()->error("not implemented");
    zero     := ()->new(dom);
    one      := ()->new(dom);
end:

//////////////////////////////////////////////////////////////////////////////
prog::testfunc(star):
//////////////////////////////////////////////////////////////////////////////

prog::test(Dom::Integer::star(0), 1):
prog::test(Dom::Integer::star(1), FAIL):
prog::test(Dom::Integer::star(2), FAIL):
prog::test(Dom::Integer::star(3), FAIL):
prog::test(Dom::Rational::star(0), 1):
prog::test(Dom::Rational::star(1), FAIL):
prog::test(Dom::Rational::star(2), -1):
prog::test(Dom::Rational::star(3), -1/2):

//////////////////////////////////////////////////////////////////////////////
prog::testfunc(Cat::SemiRing):
//////////////////////////////////////////////////////////////////////////////

prog::check(test, 3):

prog::testexit():

// Local Variables:
// mode: mupad
// End:
