/*****************************************************************************
  $Id: getEntryFromAllSuperDomains.tst,v 1.1.1.1 2003/09/15 16:37:44 nthiery Exp $
  File:		lib/DOMAINS/CONSTR/TEST/getEntryFromAllSuperDomains.tst
  Authors:	Nicolas M. Thiry <nthiery@users.sourceforge.net>
  Purpose:	Test file for the library 'DomainConstructor::getEntryFromAllSuperDomains'
  Created:	04/12/2002
  License:	LGPL
*****************************************************************************/

prog::testinit("getEntryFromAllSuperDomains"):

prog::testfunc(DomainConstructor::getEntryFromAllSuperDomains):

prog::check(DomainConstructor::getEntryFromAllSuperDomains, 3):

domain A
    a := ()->[dom,"A"];
end_domain:

domain B
    local b;
    inherits A;
    a := ()->[dom,b];
begin
    b := "B";
end_domain:

domain C(b)
    inherits B;
    a := ()->[dom,b];
begin
end_domain:

domain DD
    inherits C("C");
end_domain:

prog::test(DomainConstructor::getEntryFromAllSuperDomains(DD, "a")(),
           [[DD, "C"], [DD, "B"], [DD, "A"]]):

prog::testexit():

// Local Variables: 
// mode: mupad
// End:
