/*****************************************************************************
  $Id: getEntryFromSuperDomain.tst,v 1.1.1.1 2003/09/15 16:37:44 nthiery Exp $
  File:		lib/DOMAINS/CONSTR/TEST/getEntryFromSuperDomain.tst
  Authors:	Nicolas M. Thiry <nthiery@users.sourceforge.net>
  Purpose:	Test file for the library 'DomainConstructor::getEntryFromSuperDomain'
  Created:	04/12/2002
  License:	LGPL
*****************************************************************************/

prog::testinit("getEntryFromSuperDomain"):

prog::testfunc(DomainConstructor::getEntryFromSuperDomain):

prog::check(DomainConstructor::getEntryFromSuperDomain, 3):

domain A(bla)
    local ble;

    a := ()->[dom,bla,ble];
begin
    ble := "ble";
end_domain:

domain B
    inherits A("bla");
end_domain:

prog::test(DomainConstructor::getEntryFromSuperDomain(B, A("bla"), "a")(),
           [B, "bla", "ble"]):

prog::testexit():

// Local Variables: 
// mode: mupad
// End:
