/*****************************************************************************
  $Id: examples.mu,v 1.1.1.5 2005/01/26 13:42:23 nthiery Exp $
  File:		lib/LIBFILES/examples.mu
  Authors:	Nicolas M. Thiry <nthiery@users.sourceforge.net>
  Created:	25/11/2002
  License:	LGPL
*****************************************************************************/

examples:=newDomain("examples"):

examples::info_str := "Library 'examples': examples of use of MuPAD-Combinat":

examples::interface :=
   {
    hold(SymmetricFunctions),
    hold(SymmetricGroupAlgebra),
    hold(HeckeAlgebra),
    hold(QuasiSymmetricFunctions),
    hold(NonCommutativeSymmetricFunctions),
    hold(FreeQuasiSymmetricFunctions),
    hold(CyclesHopfAlgebra),
    hold(LodayRoncoAlgebra),
    hold(MultivariatePolynomials),
    hold(NonCommutativePolynomials),
    hold(NonCommutativeExpressions),
    hold(SubsetsSpace),
    hold(GraphQuasiSymmetricFunctions)
   }:

alias(loaddomain=prog::loaddomain):
alias(path = pathname("EXAMPLES")):
examples::SubsetsSpace :=
    loaddomain(examples::SubsetsSpace, path, "SubsetsSpace"):
examples::SymmetricFunctions :=
    loaddomain(examples::SymmetricFunctions, path, "SymmetricFunctions"):
examples::SymmetricGroupAlgebra :=
    loaddomain(examples::SymmetricGroupAlgebra, path, "SymmetricGroupAlgebra"):
examples::HeckeAlgebra :=
    loaddomain(examples::HeckeAlgebra, path, "HeckeAlgebra"):
examples::QuasiSymmetricFunctions :=
    loaddomain(examples::QuasiSymmetricFunctions, path, "QuasiSymmetricFunctions"):
examples::NonCommutativeSymmetricFunctions :=
    loaddomain(examples::NonCommutativeSymmetricFunctions, path, "NonCommutativeSymmetricFunctions"):
examples::FreeQuasiSymmetricFunctions :=
    loaddomain(examples::FreeQuasiSymmetricFunctions, path, "FreeQuasiSymmetricFunctions"):
examples::CyclesHopfAlgebra :=
    loaddomain(examples::CyclesHopfAlgebra, path, "CyclesHopfAlgebra"):
examples::GraphQuasiSymmetricFunctions :=
    loaddomain(examples::GraphQuasiSymmetricFunctions, path, "GraphQuasiSymmetricFunctions"):
examples::GraphQuasiSymmetricFunctionsTools :=
    loaddomain(examples::GraphQuasiSymmetricFunctionsTools, path, "GraphQuasiSymmetricFunctions"):
//examples::sylvester :=
//    loaddomain(examples::sylvester, path, "sylvester"):
examples::LodayRoncoAlgebra :=
    loaddomain(examples::LodayRoncoAlgebra, path, "LodayRoncoAlgebra"):
examples::MultivariatePolynomials :=
    loaddomain(examples::MultivariatePolynomials, path, "MyMultivariatePolynomials"):
examples::NonCommutativePolynomials :=
    loaddomain(examples::NonCommutativePolynomials, path, "NonCommutativePolynomials"):
examples::NonCommutativeExpressions :=
    loaddomain(examples::NonCommutativeExpressions, path, "NonCommutativeExpressions"):

null():
