/*****************************************************************************
  $Id: Symmetrica.mu,v 1.1.1.2 2005/01/26 13:42:23 nthiery Exp $
  File:		lib/MODULES/Symmetrica.mu
  Authors:	Florent Hivert <florent.hivert@univ-mlv.fr>
		Nicolas M. Thiry <nthiery@users.sourceforge.net>
  Created:	21/05/2003
  License:	LGPL
*****************************************************************************/
// load the Symmetrica module and put it under ???::Symmetrica
// not used for the momment => Symmetrica stay at toplevel
Symmetrica :=
proc()
    save Symmetrica;
begin
    sysdelete(Symmetrica);
    if module::which("Symmetrica") = FAIL then
	// If the module is simply not available, fail silently
	userinfo(1, "Dynamic module Symmetrica not available"):
	FAIL;
    else
        // Avoids an internal error on exit of MuPAD 2.0.0
	%if version() = [2,0,0] then module::displace("stdmod"); end_if;
	if traperror(module("Symmetrica")) <> 0 then
	    warning("Error loading the dynamic module Symmetrica:");
	    lasterror();
	end_if;
	Symmetrica;
    end_if;
end_proc():
