/*
|  File LstCpFat (COMP PACKAGE) Jeudi 22 mai 1997 18:12:06
|
|  ListCompoFatter(c)   computes the list of compositions fatter than c.
|
*/

/*
|  VP220597
*/
muEC::COMP::ListCompoFatter_rec := proc(cseq)
local
  i; /* var for seq... */
begin
  if (args(0)=0) then
    [[]];
  elif (args(0)=1) then
    [[cseq]];
  else
    map(muEC::COMP::ListCompoFatter_rec(args(i) $ i=2..args(0)),
        proc(x,y) begin [y+x[1], op(x, 2..nops(x))],  [y, op(x)] end_proc,
        cseq);
  end_if;
end_proc:

/*
|  VP220597
*/
muEC::COMP::ListCompoFatter_core := proc(c)
begin
  muEC::COMP::ListCompoFatter_rec(op(c));
end_proc:

/*
|  VP220597
*/
muEC::COMP::ListCompoFatter_check := proc( c)
begin
  if (not muEC::TYP::IsCompo(c)) then
    muEC::ERR::COMPPerror(1,procname);
  end_if;
end_proc:

/*
|  VP220597
*/
muEC::COMP::ListCompoFatter := proc(compo)
begin
  if testargs() then
    muEC::COMP::ListCompoFatter_check(args());
  end_if;
  muEC::COMP::ListCompoFatter_core(args());
end_proc:
