/*
|  File LstCpFnr (COMP PACKAGE) Jeudi 22 mai 1997 19:02:42
|
|  ListCompoFiner(c) 	computes the list of compositions finer than c.
|
*/

/*
|  VP220597
*/
muEC::COMP::couples := proc(l1, l2)
begin
  if (nops(l1) = 0) then
    l2;
  else
    map(l2, proc(x,y)
            begin
              op(map(y, proc(u,v) begin [op(u),op(v)] end_proc, x))
            end_proc,
        l1);
  end_if;
end_proc:
 
/*
|  VP220597
*/
muEC::COMP::ListCompoFiner_rec := proc(l1, l2)
local
  i; /* var for seq... */
begin
  if (args(0) = 0) then
    [[]];
  elif (args(0) = 1) then
    l1;
  elif (args(0) = 2) then
    muEC::COMP::couples(l1,l2);
  else
    muEC::COMP::ListCompoFiner_rec(muEC::COMP::couples(l1, l2), args(i) $ i=3..args(0));
  end_if;
end_proc:

/*
|  VP220597
*/
muEC::COMP::ListCompoFiner_core := proc(c)
begin
  muEC::COMP::ListCompoFiner_rec(op(map(c, muEC::COMP::ListCompo)));
end_proc:

/*
|  VP220597
*/
muEC::COMP::ListCompoFiner_check := proc(c)
begin
  if (not muEC::TYP::IsCompo(c)) then
    muEC::ERR::COMPPerror(1,procname);
  end_if;
end_proc:

/*
|  VP220597
*/
muEC::COMP::ListCompoFiner := proc(compo)
begin
  if testargs() then
    muEC::COMP::ListCompoFiner_check(args());
  end_if;
  muEC::COMP::ListCompoFiner_core(args());
end_proc:

