/*
| File COMPPerr (ERR PACKAGE) Mardi 20 mai 1997 10:52:42
|
| COMPPerror(n) stops the execution, printing the error message number n.
|
| VP200597
*/
muEC::ERR::COMPPerror:=proc(n)
local
  messages; /* This is the list of messages... */
begin
  messages:=
  [
  /* 1 */
  "wrong type for first argument...",
  /* 2 */
  "wrong range for first argument...",
  /* 3 */
  "wrong type for second argument...",
  /* 4 */
  "wrong range for second argument...",
  /* 5 */
  "wrong type for third argument...",
  /* 6 */
  "wrong range for third argument...",
  /* 7 */
  "wrong type for fourth argument...",
  /* 8 */
  "wrong range for fourth argument...",
  /* 9 */
  "can't do such a work..."
  ];
  if (args(0)<>1 and args(0)<>2) then 
    error(messages[n]);
  elif (args(0)=1) then
    error(messages[n])
  else
    error(_concat("In procedure ",expr2text(args(2)),": ", messages[n]));
  end_if;
end_proc:
