/*
| File SYMFPerr (ERR PACKAGE) Sat Oct 25 09:55:23 MET DST 1997
|
| SYMFPerror(n) stops the execution, printing the error message number n.
|
| VP251097
*/
muEC::ERR::SYMFPerror:=proc(n)
local
  messages; /* This is the list of messages... */
begin
  messages:=
  [
  /* 1 */
  "wrong type for first argument...",
  /* 2 */
  "wrong range for first argument...",
  /* 3 */
  "wrong type for second argument...",
  /* 4 */
  "wrong range for second argument...",
  /* 5 */
  "wrong type for third argument...",
  /* 6 */
  "wrong range for third argument...",
  /* 7 */
  "wrong type for fourth argument...",
  /* 8 */
  "wrong range for fourth argument...",
  /* 9 */
  "can't do such a work...",
  /* 10 */
  "Second argument is an unknown basis...",
  /* 11 */
  "Third argument is an unknown basis...",
  /* 12 */
  "Fourth argument is an unknown basis...",
  /* 13 */
  "Fifth argument is an unknown basis...",
  /* 14 */
  "Only one argument expected...",
  /* 15 */
  "Only two arguments expected...",
  /* 16 */
  "Only three arguments expected..."
  ];
  if (args(0)<>1 and args(0)<>2) then 
    error(messages[n]);
  elif (args(0)=1) then
    error(messages[n]);
  else
    error(_concat("In procedure ",expr2text(args(2)),": ", messages[n]));
  end_if;
end_proc:
