/*
|  File Part2Exp (PART PACKAGE) Wed Apr 22 08:38:13 MET DST 1998
*/

/*
|  Part2Exp(part) returns multiplicities of parts of the partition part.
|  VP220498
*/
muEC::PART::Part2Exp_core := proc(part)
local
    i,   /* an integer... */
    k,   /* var for loop... */
    n,   /* an integer... */
    m,   /* an integer... */
    res; /* result... */
begin
  res := null();
  if (args(0) > 1) then /* the biggest part of the partition... */
    m := max(op(part),args(2));
  else
    m := max(op(part), 0);
  end_if;
/*
|  You may find a better writing, but what about running time?
*/
  for k from 1 to m do
    i := contains(part, k);
    if i<>0 then
      n := 1;
      while (i<nops(part)) and (part[i]=part[i+1]) do
        i := i+1;
        n := n+1;
      end_while;
    else
      n := 0;
    end_if;
    res := res, n;
  end_for;
  [res];
end_proc:
/*
|  VP220498
*/
muEC::PART::Part2Exp_check := proc(part)
begin
  if (not muEC::TYP::IsPart(part)) then
    muEC::ERR::PARTPerror(1, procname) /* wrong type for first argument... */
  end_if;
  if (args(0)>1) then
    if not (testtype(args(2),Type::NonNegInt)) then
      muEC::ERR::PARTPerror(3, procname) /* wrong type for first argument... */
    end_if;
  end_if;
end_proc:
/*
|  VP220498
*/
muEC::PART::Part2Exp := proc(part)
begin
  if testargs() then
    muEC::PART::Part2Exp_check(args());
  end_if;
  muEC::PART::Part2Exp_core(args());
end_proc:
