/*
|  File ToX (SP PACKAGE) Tue Jun 16 17:42:52 MET DST 1998
*/

/*
|  ToX(pol,b) expresses pol on the X basis assuming that pol is expressed
|             solely in terms of the base b (x, y, X, Y, XX, YY, Pe).
|  SV160698 VP290399
*/
muEC::SP::ToX_heart := proc(pol,b,noexpn,colct)
local
  i,   /* var for seq...          */
  j,   /* var for seq...          */
  sf,  /* seq of functions...     */
  ind, /* indices...              */
  rr,  /* var for collect...      */
  r,   /* a result...             */
  t;   /* a table of variables... */
begin
  t := muEC::SP::Sp2TableVar(pol, (args(2) minus {op(muEC::SP::SPBasesString)}) minus
                            {hold(X)});
  ind := map([op(t)], op, 1);
  ind := map(ind, proc(nam) begin if t[nam]={} then null() else nam end_if
                  end_proc);
  sf := [_seqin(_seqin(muEC::cat("muEC::SP::",i,"2X"), j,t[i]), i,ind)];
  ind := [_seqin(_seqin([i,j], j,t[i]), i,ind)];
  r := subs(pol,
    _seqgen(level(eval(muEC::cat(op(ind[i],1),op(ind[i],2))),2)=
            muEC::SP::XProduct(level(eval(sf[i](muEC::cat(op(ind[i],1),op(ind[i],2)))),2)),
            i,1..nops(ind)));
  if noexpn then
      rr := muEC::SP::Sp2TableVar(r,hold(x));
      return(subs(r,
           _seqgen(muEC::cat(hold(x),op(rr,i))=
                   muEC::SP::x2X(muEC::cat(hold(x),op(rr,i))),
           i,1..nops(rr))));
  end_if;
    r := normal(muEC::SP::XProduct(expand(muEC::SP::x2X(expand(r)))));
  if colct then
    rr := [op(map(muEC::SYMF::AllIndexed(r,hold(X)), proc(mu) begin hold(X)[op(mu)] end_proc ))];
    if nops(rr)>0 then
      collect(r, rr);
    else
      r;
    end_if;
  else
    r;
  end_if;
end_proc:

/*
|  SV160698 VP290399
*/
muEC::SP::ToX := proc(f)
local
  i,
  copt,
  nopt,
  b;
begin
  copt := FALSE:
  nopt := FALSE:
  b := {op(muEC::SP::SPBases)}:
  for i from 2 to args(0) do
    if args(i)=hold(Collect) then
      copt := TRUE;
    elif args(i)=hold(NoExpand) then
      nopt := TRUE;
    elif has(muEC::SP::SPBases,args(i)) then
      b := {args(i)};
    else
      muEC::ERR::SPPerror(2*i-1,procname);
    end_if;
  end_for;
  muEC::SP::ToX_heart(f,b,nopt,copt);
end_proc:
