/*
|  File Char2Sf (SYMF PACKAGE) Fri Jan  9 13:19:31 MET 1998
*/

/*
|  Char2Sf(expre) applies the characteristic map to expr. The result is a
|                 symmetric "function" expressed on the p basis.
|  VP090198
*/
muEC::SYMF::Char2Sf_core := proc(expre)
    local mu;			       
begin
  subs(expre, hold(cl)[op(mu)]=hold(p)[op(mu)]/muEC::SYMF::SfZee(mu)
              $ mu in muEC::SYMF::AllIndexed(expre,hold(cl)));
end_proc:

/*
|  VP090198
*/
muEC::SYMF::Char2Sf_check := proc(expre)
begin
end_proc:

/*
|  VP090198
*/
muEC::SYMF::Char2Sf := proc(expre)
begin
  if testargs() then
    muEC::SYMF::Char2Sf_check(args());
  end_if;
  muEC::SYMF::Char2Sf_core(args());
end_proc:
