/*
|  File e2 (SYMF PACKAGE) Thu Nov 27 13:18:02 MET 1997
*/

/*
|  e2h(sf) from e basis to h basis.
|  VP021297 VP121297 VP280698
*/
muEC::SYMF::e2h := proc(sf)
option remember;
begin
  if not testtype(sf,"_power") then
    if bool(sf=hold(e)[]) then
       hold(h)[];
    else
      muEC::SYM::e2h(sf);
    end_if;
  elif bool(op(sf,1)=hold(e)[]) then
    hold(h)[];
  else
    muEC::SYM::e2h(op(sf,1))^op(sf,2);
  end_if;
end_proc:

/*
|  e2p(sf) from e basis to p basis.
|  VP021297 VP121297 VP280498
*/
muEC::SYMF::e2p := proc(sf)
option remember;
begin
  if not testtype(sf,"_power") then
    if bool(sf=hold(e)[]) then
       1;
    else
      muEC::SYM::e2p(sf);
    end_if;
  elif bool(op(sf,1)=hold(e)[]) then
     1;
  else
    muEC::SYM::e2p(op(sf,1))^op(sf,2);
  end_if;
end_proc:

/*
|  e2m(sf) from e basis to m basis.
|  VP021297 VP121297 VP280498
*/
muEC::SYMF::e2m := proc(sf)
option remember;
begin
  if not testtype(sf,"_power") then
    if bool(sf=hold(e)[]) then
       hold(m)[];
    else
      muEC::SYM::e2m(sf);
    end_if;
  elif bool(op(sf,1)=hold(e)[]) then
     hold(m)[];
  else
    muEC::SYM::e2m(op(sf,1))^op(sf,2);
  end_if;
end_proc:

/*
|  e2s(sf) from e basis to s basis.
|  VP271197 VP121297 VP280498
*/
muEC::SYMF::e2s := proc(sf)
option remember;
begin
  if not testtype(sf,"_power") then
    if bool(sf=hold(e)[]) then
       hold(s)[];
    else
      muEC::SYM::e2s(sf);
    end_if;
  elif bool(op(sf,1)=hold(e)[]) then
     hold(s)[];
  else
    muEC::SYM::e2s(op(sf,1))^op(sf,2);
  end_if;
end_proc:
