/*
|  File m2 (SYMF PACKAGE) Tue Dec  2 10:47:36 MET 1997
*/

/*
|  m2e(sf) from m basis to e basis.
|  VP021297 VP240498 VP280498
*/
muEC::SYMF::m2e := proc(sf)
option remember;
begin
  if not testtype(sf,"_power") then
    if bool(sf=hold(m)[]) then
       hold(e)[];
    else
      muEC::SYM::m2e(sf);
    end_if;
  elif bool(op(sf,1)=hold(m)[]) then
     hold(e)[];
  else
    muEC::SYM::m2e(op(sf,1))^op(sf,2);
  end_if;
end_proc:

/*
|  m2h(sf) from m basis to h basis.
|  VP021297 VP240498 VP280498
*/
muEC::SYMF::m2h := proc(sf)
option remember;
begin
  if not testtype(sf,"_power") then
    if bool(sf=hold(m)[]) then
       hold(h)[];
    else
      muEC::SYM::m2h(sf);
    end_if;
  elif bool(op(sf,1)=hold(m)[]) then
     hold(h)[];
  else
    muEC::SYM::m2h(op(sf,1))^op(sf,2);
  end_if;
end_proc:

/*
|  m2p(sf) from m basis to p basis.
|  VP021297 VP240498 VP280498
*/
muEC::SYMF::m2p := proc(sf)
option remember;
begin
  if not testtype(sf,"_power") then
    if bool(sf=hold(m)[]) then
       1;
    else
      muEC::SYM::m2p(sf);
    end_if;
  elif bool(op(sf,1)=hold(m)[]) then
     1;
  else
    muEC::SYM::m2p(op(sf,1))^op(sf,2);
  end_if;
end_proc:

/*
|  m2s(sf) from m basis to s basis.
|  VP021297 VP240498 VP280498
*/
muEC::SYMF::m2s := proc(sf)
option remember;
begin
  if not testtype(sf,"_power") then
    if bool(sf=hold(m)[]) then
       hold(s)[];
    else
      muEC::SYM::m2s(sf);
    end_if;
  elif bool(op(sf,1)=hold(m)[]) then
     hold(s)[];
  else
    muEC::SYM::m2s(op(sf,1))^op(sf,2);
  end_if;
end_proc:
