/*
|  File p2 (SYMF PACKAGE) Tue Dec  2 10:35:31 MET 1997
*/

/*
|  p2e(sf) from p basis to e basis.
|  VP021297 VP240498 VP280498
*/
muEC::SYMF::p2e := proc(sf)
option remember;
begin
  if not testtype(sf,"_power") then
    if bool(sf=hold(p)[]) then
       hold(p)[];
    else
      muEC::SYM::p2e(sf);
    end_if;
  elif bool(op(sf,1)=hold(p)[]) then
     hold(p)[];
  else
    muEC::SYM::p2e(op(sf,1))^op(sf,2);
  end_if;
end_proc:

/*
|  p2h(sf) from p basis to h basis.
|  VP021297 VP240498 VP280498
*/
muEC::SYMF::p2h := proc(sf)
option remember;
begin
  if not testtype(sf,"_power") then
    if bool(sf=hold(p)[]) then
       hold(p)[];
    else
      muEC::SYM::p2h(sf);
    end_if;
  elif bool(op(sf,1)=hold(p)[]) then
     hold(p)[];
  else
    muEC::SYM::p2h(op(sf,1))^op(sf,2);
  end_if;
end_proc:

/*
|  p2m(sf) from p basis to m basis.
|  VP021297 VP240498 VP280498
*/
muEC::SYMF::p2m := proc(sf)
option remember;
begin
  if not testtype(sf,"_power") then
    if bool(sf=hold(p)[]) then
       hold(p)[];
    else
      muEC::SYM::p2m(sf);
    end_if;
  elif bool(op(sf,1)=hold(p)[]) then
     hold(p)[];
  else
    muEC::SYM::p2m(op(sf,1))^op(sf,2);
  end_if;
end_proc:

/*
|  p2s(sf) from p basis to s basis.
|  VP021297 VP240498 VP280498
*/
muEC::SYMF::p2s := proc(sf)
option remember;
begin
  if not testtype(sf,"_power") then
    if bool(sf=hold(p)[]) then
       hold(p)[];
    else
      muEC::SYM::p2s(sf);
    end_if;
  elif bool(op(sf,1)=hold(p)[]) then
     hold(p)[];
  else
    muEC::SYM::p2s(op(sf,1))^op(sf,2);
  end_if;
end_proc:
