/*
|  File s2 (SYMF PACKAGE) Tue Dec  2 10:48:57 MET 1997
*/

/*
|  s2e(sf) from s basis to e basis.
|  VP021297 VP121297 VP280498
*/
muEC::SYMF::s2e := proc(sf)
option remember;
begin
  if not testtype(sf,"_power") then
    if bool(sf=hold(s)[]) then
       hold(e)[];
    else
      muEC::SYM::s2e(sf);
    end_if;
  elif bool(op(sf,1)=hold(s)[]) then
     hold(e)[];
  else
    muEC::SYM::s2e(op(sf,1))^op(sf,2);
  end_if;
end_proc:


/*
|  s2h(sf) from s basis to h basis.
|  VP021297 VP121297 VP280498
*/
muEC::SYMF::s2h := proc(sf)
option remember;
begin
  if not testtype(sf,"_power") then
    if bool(sf=hold(s)[]) then
       hold(h)[];
    else
      muEC::SYM::s2h(sf);
    end_if;
  elif bool(op(sf,1)=hold(s)[]) then
     hold(h)[];
  else
    muEC::SYM::s2h(op(sf,1))^op(sf,2);
  end_if;
end_proc:

/*
|  s2p(sf) from s basis to p basis.
|  VP021297 VP121297 VP280498
*/
muEC::SYMF::s2p := proc(sf)
option remember;
begin
  if not testtype(sf,"_power") then
    if bool(sf=hold(s)[]) then
       1;
    else
      muEC::SYM::s2p(sf);
    end_if;
  elif bool(op(sf,1)=hold(s)[]) then
     1;
  else
    muEC::SYM::s2p(op(sf,1))^op(sf,2);
  end_if;
end_proc:

/*
|  s2m(sf) from s basis to m basis.
|  VP021297 VP121297 VP280498
*/
muEC::SYMF::s2m := proc(sf)
option remember;
begin
  if not testtype(sf,"_power") then
    if bool(sf=hold(s)[]) then
       hold(m)[];
    else
      muEC::SYM::s2m(sf);
    end_if;
  elif bool(op(sf,1)=hold(s)[]) then
     hold(m)[];
  else
    muEC::SYM::s2m(op(sf,1))^op(sf,2);
  end_if;
end_proc:
