/*
|  File IsName (TYP PACKAGE) Thu Apr 23 14:17:33 MET DST 1998
*/

/*
|  IsName(mn,b) tests whether mn is like b<number>
|  VP230498
*/
muEC::TYP::IsName := proc(mn,b) : DOM_BOOL
local
  str,    /* a string... */
  bstr;   /* a string... */
begin
    if (not testtype(mn,DOM_IDENT)) then
	return(FALSE);
    end_if;
    str := expr2text(mn);
    bstr := expr2text(b);
    if length(bstr)>length(str) then
	return(FALSE);
    elif length(bstr)=length(str) then
	return(bool(str=bstr));
    end_if;
    %if "12"[1]="1" then // work around a change in strings indexed
			 // access from MuPAD 3.0.0 on
	_lazy_and(substring(str,1,length(bstr))=bstr,
		  traperror(text2int(substring(str,
					       length(bstr)+1,
					       length(str)-length(bstr))))=0);
    else
	_lazy_and(substring(str,0,length(bstr))=bstr,
		  traperror(text2int(substring(str,
					       length(bstr),
					       length(str)-length(bstr))))=0);
    end_if;
end_proc:
