/*
|  File IsRegPa (TYP PACKAGE) Wed Apr 22 11:23:28 MET DST 1998
*/

/*
|  IsRegPart(n, part)  tests wether part is a n-regular partition.
|  VP220498
*/
muEC::TYP::IsRegPart := proc(n, part)
local
  i,   /* var for loop... */
  mu;  /* a partition...  */
begin
  mu := muEC::PART::Part2Conjugate(part);
  for i from 1 to nops(mu)-1 do
    if (mu[i]-mu[i+1] > n-1) then
      return(FALSE);
    end_if;
  end_for;
  if (mu[nops(mu)] > n-1) then
    FALSE;
  else
    TRUE
  end_if;
end_proc:
