/*
|  File IsXX (TYP PACKAGE) Sun May 17 11:32:29 MET DST 1998
*/

/*
|  IsXX(p) tests whether p is a double Schubert polynomial
|          indexed by a permutation.
|  VP170598
*/
muEC::TYP::IsXX := proc(p)
begin
  if not testtype(p,"_index") then
    return(FALSE);
  end_if;
  if op(p,1) <> hold(XX) then
    return(FALSE);
  end_if;
  muEC::TYP::IsPerm([op(p,2..nops(p))]);
end_proc:
