/*
|  File muECmisc (muEC PACKAGE) Wed Oct 22 15:58:42 MET DST 1997
*/

/*
|  cat(args)   concatenates arguments and transforms them into a valid expr.
|  VP221097
*/
muEC::cat := proc()
local
  f, /* a function...  */
  i; /* var for seq... */
begin
  f := proc(a)
       begin
         if testtype(a,DOM_STRING) then a; else expr2text(a); end_if;
       end_proc;
  if (args(0)>0) then
    text2expr(_concat(_seqgen(f(args(i)),i,1..args(0))));
  else
    NIL;
  end_if;
end_proc:

/*
|  SubSeq(l,i..j) returns l[i..j] or null().
|  VP080198
*/
muEC::SubSeq := proc(l,subseq)
begin
  if (l=[]) then
    null();
  else
    if (op(subseq,1)>op(subseq,2)) then
      null();
    else
      op(l,subseq);
    end_if;
  end_if;
end_proc:

/** Clears the remember table of a function
    Example:
    f:=x->x;
    f(1):=2;
    f(1);
    f:=muEC::clearRememberTable(f);
    f(1);
**/
muEC::clearRememberTable :=
proc(f: DOM_PROC)
begin
    subsop(f, 5=NIL);
end_proc:
