// $Id: sort.mu,v 1.1.1.1 2004/10/04 17:25:13 nthiery Exp $

// prog::sort(list, function, Option)
// sorts the given list by the numerical values given by 'function'
//
// Options: Reverse
//

prog::sort:=
  proc(LIST, FUNC = sysorder)
    local INDEX;
  begin
    INDEX := map(LIST, FUNC, args(3..args(0)));

    INDEX := table(op(zip(LIST, INDEX, _equal)));
    
    if args(args(0)) = hold(Reverse) then
      sort(LIST, (X, Y) -> INDEX[X] > INDEX[Y])
    else
      sort(LIST, (X, Y) -> INDEX[X] <= INDEX[Y])
    end_if
  end_proc:
