/*****************************************************************************
  $Id: repeatedSquaring.tst,v 1.1.1.2 2004/10/16 15:16:59 nthiery Exp $
  File:		lib/OPERATORS/repeatedSquaring.tst
  Authors:	Nicolas M. Thiry <nthiery@users.sourceforge.net>
  Purpose:	Test file for the library 'operators::repeatedSquaring'
  Created:	04/12/2002
  License:	LGPL
*****************************************************************************/

prog::testinit("repeatedSquaring"):

prog::testfunc(operators::repeatedSquaring):

prog::check(operators::repeatedSquaring, 3):

power:=operators::repeatedSquaring(_mult):
prog::test(power(2,n), _power(2,n)) $n=1..5:

power:=operators::repeatedSquaring(_mult, Zero=1):
prog::test(power(2,n), _power(2,n)) $n=0..5:

power:=operators::repeatedSquaring(_mult, Zero=1, Opposite=_invert):
prog::test(power(2,n), _power(2,n)) $n=-5..5:

power:=operators::repeatedSquaring(_mult, Zero=1, Opposite=_invert, Source=Dom::Rational):
prog::test(power(2,n), _power(2,n)) $n=-5..5:
if prog::TestNoTestargs = FALSE then
prog::test(power(-1,n), TrapError=1202):
end_if:

prog::testexit():

// Local Variables: 
// mode: mupad
// End:
