/*****************************************************************************
  $Id: monomials.tst,v 1.1.1.1 2003/09/15 16:37:46 nthiery Exp $
  File:		lib/POLYLIB/TEST/monomials.tst
  Authors:	Nicolas M. Thiry <nthiery@users.sourceforge.net>
  Purpose:	Test file for the library 'polylib::monomials'
  Created:	07/02/2003
  License:	LGPL
*****************************************************************************/

prog::testinit("monomials"):

//////////////////////////////////////////////////////////////////////////////
// Global checking of the domain

prog::testfunc(polylib::monomials):

prog::check(polylib::monomials, 3):

prog::test(polylib::monomials(poly(3*x*y*z + x + 1, [x, y, z])),
           [poly(3*x*y*z, [x, y, z]), poly(x, [x, y, z]), poly(1, [x, y, z])]
	  ):
P:=Dom::UnivariatePolynomial(x):
prog::test(polylib::monomials(P(3*x^3*y*z + x + 1)),
           [P((3*y*z)*x^3), P(x), P(1)]):

prog::testexit():

// Local Variables:
// mode: mupad
// End:
