/*****************************************************************************
  $Id: variables.tst,v 1.1.1.2 2004/10/16 15:14:02 nthiery Exp $
  File:		lib/POLYLIB/TEST/variables.tst
  Authors:	Nicolas M. Thiry <nthiery@users.sourceforge.net>
  Purpose:	Test file for the library 'polylib::variables'
  Created:	26/08/2003
  License:	LGPL
*****************************************************************************/

prog::testinit("variables"):

prog::testfunc(polylib::variables):

prog::check(polylib::variables, 3):

prog::test(polylib::variables(poly(3*x*y*z + x + 1, [x, y, z])),
           [x,y,z]
	  ):

for P in [polylib::Poly([x]),
	  Dom::UnivariatePolynomial(x),
	  Dom::MultivariatePolynomial([x]),
	  Dom::DistributedPolynomial ([x])] do
    prog::test(polylib::variables(P), [x]);
    prog::test(polylib::variables(P(3*x^3*y*z + x + 1)),
	       [x]):
end_for:

P:=Dom::DistributedPolynomial([]):
prog::test(polylib::variables(P), []):
prog::test(sort(polylib::variables(P(3*x^3*y*z + x + 1))),
	   sort([x,y,z])):

prog::testexit():

// Local Variables:
// mode: mupad
// End:
