/*****************************************************************************
  $Id: constructor.mu,v 1.1.1.1 2003/09/15 16:37:46 nthiery Exp $
  File:		lib/POLYLIB/constructor.mu
  Authors:	Nicolas M. Thiry <nthiery@users.sourceforge.net>
  Created:	26/09/2002
*****************************************************************************/

/**
   Extract the constructor of a domain in a uniform way for DOM_POLY
   and others
**/

polylib::constructor :=
proc(p//: Type::Polynomial
    ): DOM_DOMAIN
begin
    case domtype(p) 
      of DOM_POLY   do return(polylib::Poly(op(p,2), op(p,3)));
      otherwise        return(p::dom)
    end_case;
end_proc:
