/*****************************************************************************
  $Id: lsupport.mu,v 1.1.1.1 2003/09/15 16:37:46 nthiery Exp $
  File:		lib/POLYLIB/support.mu
  Authors:	Nicolas M. Thiry <nthiery@users.sourceforge.net>
  Created:	26/09/2002
*****************************************************************************/

/**
   Allow for overloading lsupport.
**/

polylib::lsupport :=
proc(p: Type::AnyType)
begin
    if domtype(p)=DOM_POLY then
	if iszero(p)=0 then
	    return(FAIL)
	end_if;
	return(op(poly2list(lterm(p)), 2));
    end_if;
    if p::dom::lsupport<>FAIL then
	return(p::dom::lsupport(p));
    end_if;
    if domtype(extop(p,1))=DOM_POLY then // temporary until lsupport is
	// defined as a method of Dom::UnivariatePolynomial & such
	return(polylib::lsupport(extop(p,1)));
    end_if;
    return(hold(polylib::lsupport)(args()));
end_proc:
