/*****************************************************************************
  $Id: testUnit.tst,v 1.1.1.1 2004/10/04 17:25:13 nthiery Exp $
  File:		lib/PROG/TEST/testUnit.tst
  Authors:	Nicolas M. Thiry <nthiery@users.sourceforge.net>
  Purpose:	Test suite for the domain prog::testUnit
  Created:	Thu Apr 29 09:31:47 2004
  License:	LGPL
  Project:	MuPAD-Combinat, http://mupad-combinat.sf.net
*****************************************************************************/

export(prog, Alias, test, testinit, testexit, check):
export(prog, Alias, testUnit):

testinit("testUnit"):

//////////////////////////////////////////////////////////////////////////////
testfunc(testUnit::split):
prog::test(prog::testUnit::split("bla::ble::bli::blafdasdf"),
           ["bla", "ble", "bli", "blafdasdf"]):
prog::test(prog::testUnit::split("bla"),
           ["bla"]):
prog::test(prog::testUnit::split(""),
           [""]):

//////////////////////////////////////////////////////////////////////////////
testfunc(testUnit::nameOf):

test(testUnit::nameOf(combinat), "combinat"):
test(testUnit::nameOf(combinat::partitions), "combinat::partitions"):

//////////////////////////////////////////////////////////////////////////////
testfunc(testUnit::top):

test(testUnit::top   ("combinat::choose"), "combinat"):
test(testUnit::subTop("combinat::choose"), "choose"):

//////////////////////////////////////////////////////////////////////////////
testfunc(testUnit::testFile):
//////////////////////////////////////////////////////////////////////////////

prog::test(prog::testUnit::testFile(combinat),
           "COMBINAT/TEST/combinat.tst"):
prog::test(prog::testUnit::testFile(combinat::choose),
           "COMBINAT/TEST/choose.tst"):
prog::test(prog::testUnit::testFile(Dom::WeightedAutomaton),
           "DOMAINS/DOMAIN/TEST/WeightedAutomaton.tst"):

//////////////////////////////////////////////////////////////////////////////
testexit():
check(testUnit, 3):

// Local Variables:
// mode: mupad
// End:
