/////////////////////////////////////////////////////////////////////////////
// $Id: Symmetrica.tst,v 1.1.1.1 2005/01/26 13:42:19 nthiery Exp $
// Name:        Symmetrica.tst
// Purpose:     MuPAD dynamic module for the Symmetrica C library
//              (test suite)
// Author:      Nicolas M. Thiry <nthiery@users.sourceforge.net>
// Created:     2004/11/08
// Copyright:   LGPL
//////////////////////////////////////////////////////////////////////////////

prog::testinit("Symmetrica"):

prog::testfunc("Module creation"):
module(Symmetrica):

//////////////////////////////////////////////////////////////////////////////
prog::testfunc("Symmetrica::KostkaNumber"):
prog::test(Symmetrica::KostkaNumber([], []),
	   1, Status=ToDo): // FIXME!
prog::test(Symmetrica::KostkaNumber([[2, 1], [1]], [1, 1]),
           2):

//////////////////////////////////////////////////////////////////////////////
prog::testfunc("Symmetrica::KostkaTab"):

prog::test(Symmetrica::KostkaTab([1], [1]),
           [[[], [[1]]]]):
prog::test(Symmetrica::KostkaTab([2, 1], [1, 1, 1]),
           [[[], [[3], [1, 2]]], [[], [[2], [1, 3]]]]):
prog::test(Symmetrica::KostkaTab([[2, 1], [1]], [1, 1]),
           [[[1], [[2], [1]]], [[1], [[1], [2]]]]):
prog::test(Symmetrica::KostkaTab([[2,1],[]],[1,1,1]),
	   [[[], [[3], [1, 2]]], [[], [[2], [1, 3]]]]):

prog::testexit():
null():

// Local Variables: 
// mode: mupad
// End:
