/*****************************************************************************
  $Id: gordan.tst,v 1.1.1.1 2003/09/15 16:37:59 nthiery Exp $
  File:		lib/COMBINAT/TEST/gordan.tst
  Authors:	Christophe Carre <Christophe.Carre@dir.univ-rouen.fr>
  Purpose:	Test file for the dynamic module 'gordan'
  Created:	24/02/2001
  License:	LGPL
*****************************************************************************/

prog::testinit("gordan"):

module(gordan):

prog::testfunc(gordan::snsm):

prog::test(eval(gordan::snsm(1,1)), s[1]):
prog::test(eval(gordan::snsm(2,2)), s[2,2]+s[4]):
prog::test(eval(gordan::snsm(2,3)), s[4,2]+s[6]):
prog::test(eval(gordan::lnsm(2,3)), s[3, 3] + s[5, 1]):
prog::test(eval(gordan::lnlm(2,3)), 
           s[2, 2, 1, 1] + s[1, 1, 1, 1, 1, 1]):
prog::test(eval(gordan::snsm_part(4,3,5)), 
           s[5, 4, 2, 1] + s[4, 4, 4]):
prog::test(eval(gordan::snsm_part(4,3,5)), 
           s[5, 4, 2, 1] + s[4, 4, 4] ):
prog::test(eval(gordan::lnsm_part(4,3,5)), 
           s[3, 3, 3, 3] + s[5, 3, 3, 1] + s[5, 5, 1, 1]):
prog::test(eval(gordan::snlm_part(4,3,2)), 
           s[2, 2, 2, 2, 2, 2]):
prog::test(eval(gordan::lnlm_part(4,3,1)), 
           s[1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1]):
prog::test(eval(gordan::snlm_lim(4,3,5)),
           s[4, 4, 4] + s[4, 3, 3, 1, 1] + s[4, 2, 2, 2, 2]):
prog::test(eval(gordan::lnlm_lim(4,3,5)),  
           s[4, 3, 2, 2, 1] + s[3, 3, 3, 3]):
prog::test(eval(gordan::snsm_lim(4,3,2)),
           s[6, 6] + s[8, 4] + s[9, 3] + s[10, 2] + s[12]):
prog::test(eval(gordan::lnsm_lim(4,3,5)),
	   s[3, 3, 3, 3] + s[5, 3, 3, 1] + s[5, 5, 1, 1] + s[7, 3, 1, 1] +
	   s[9, 1, 1, 1] + s[6, 3, 3] + s[6, 4, 2] + s[7, 4, 1] + s[8, 3, 1] +
	   s[6, 6]):

//////////////////////////////////////////////////////////////////////////////
// Global checking of the package

// This is done at the end to ensure as much as possible of the
// package is initialized. A recursive prog::init(gordan)
// would be usefull here.

prog::testfunc(gordan):

prog::check(gordan, 3):

prog::testexit():

// Local Variables: 
// mode: mupad
// End:
