
// $Id: trans-cf.h,v 1.4 2002/08/19 08:34:29 ccr Exp $

// transcendental functions implemented via continued fractions

#ifndef trans_cf_h_
#define trans_cf_h_

GEN igammacf(long prec, GEN a, GEN x);
GEN ibeta(long prec, GEN a, GEN b, GEN x);

// erfc: real and complex version
GEN erfccf(long prec, GEN z);
GEN erfccf_cx(long prec, GEN z);

// Utility class: Save Pari stack position, restore when
// instance goes out of scope
class saveAvma {
 private:
  long avmaold;
 public:
  saveAvma() : avmaold(avma) {}
  ~saveAvma() { 
    avma = avmaold;
  }
};

#endif
