/*****************************************************************************
  $Id: countingFunctions.mu,v 1.2 2004/07/19 12:43:51 hivert Exp $
  File:		lib/COMBINAT/countingFunctions.mu
  Authors:	Nicolas M. Thiry <nthiery@users.sourceforge.net>
  Purpose:	Source code for the domain combinat::countingFunctions
  Created:	Sat Jul  3 10:19:07 2004
  License:	LGPL
  Project:	MuPAD-Combinat, http://mupad-combinat.sf.net
*****************************************************************************/

domain combinat::countingFunctions

    info := "combinat::countingFunctions -- utilities for counting functions";

    isA := f -> testtype(f, Type::Function);
    
    plus2 :=
    proc(f: dom, g: dom) : dom
	option escape;
    begin
	n -> f(n) + g(n);
    end_proc;
    

    // _mult using karatsuba
    
    // set(fA)
    // Input: fA is the counting function for a combinatorial class A
    // returns a counting function for the combinatorial class of sets of A
    
    // multiset, cycles
end_domain:
