/*****************************************************************************
  $Id: labelledTrees.mu,v 1.5 2004/07/19 20:44:25 nthiery Exp $
  File:		lib/COMBINAT/labelledBinaryTrees.mu
  Authors:	Teresa Gomez-Diaz <Teresa.Gomez-Diaz@univ-mlv.fr> 
                Nicolas M. Thiry <nthiery@users.sourceforge.net>
                Florent Hivert <florent.hivert@univ-mlv.fr>
  Created:	28/06/2002
  License:	LGPL
*****************************************************************************/

domain combinat::labelledTrees
    inherits combinat::trees;
    category Cat::TreesClass(Labelled);
    axiom    Ax::normalRep, Ax::canonicalRep;
    
    info := "combinat::labelledTrees -- the combinatorial class of labelled, rooted, and ordered trees";

    interfaceAdd := {};

    typeLabelled   := dom;
    typeUnlabelled := combinat::trees;

end_domain:

