// $Date: 2003/09/03 15:59:57 $ $Author: nthiery $ $Revision: 1.1 $ 
/*++
Cat::Ring -- the category of rings

A Cat::Ring is a Cat::Rng and a Cat::SemiRing. So it's a
Cat::AbelianGroup and a Cat::Monoid with the distributive laws
a*(b+c) = a*b + a*c and (a+b)*c = a*c + b*c for each a, b, c, together
with a unit and therefore a Cat::LeftModule over itself.

++*/

category Cat::Ring
    category Cat::Rng, Cat::SemiRing, Cat::LeftModule(dom);

end_category:

