// $Id: GaussLegendre.mu,v 1.2 2002/07/20 09:59:30 tonner Exp $

interval::_legendre_zeroes :=
proc(n)
  local P, approx, zeroes, roundout, /* i, */ t;
begin
  // TODO: Use explicit formulas instead of interval::newton
  // and the expanded form of the polynomial
  P := n!/fact(2*n)*diff((`# #x`^2-1)^n, `# #x`$n);

//  approx := revert([1/2*(cos(float(i*PI/(n+1)))
//                         +cos(float((2*i-1)*PI/(2*n))))$i=1..n]);

//  approx := map((numeric::gldata(n, DIGITS))[2],
//                x->2*x-1);

  approx := map(polylib::realroots(P, 10^floor(-DIGITS/2)), hull);
  
  print("approx =", approx);
  zeroes := [];
  roundout := (-1...1)*10.0^(2-DIGITS);
  t := time();
  while nops(zeroes) <> nops(approx) do
    zeroes := map(map(approx, _plus, roundout),
                  z->op(interval::newton(P, `# #x` in z, 10.0^(2-DIGITS))));
    roundout := 8*roundout;
    print("--------------------------------------------------");
    print((time()-t)/1000.0*sec, nops(zeroes));
    t := time();
  end_while;

  map(zeroes, op, 2);
end_proc:

