// $Id: pivot.mu,v 1.3 2003/04/17 07:17:53 walter Exp $

// pivoting strategies applied up-front

// pivot trying to achieve diagonal dominance
interval::_pivot_maxdiag :=
proc(A, b)
  local i, j, jmax, n;
begin
  A := /*sparse*/matrix(A);
  b :=/* sparse*/matrix(b);
  n := min(op(/*sparse*/matrix::matdim(A)));
  for i from 1 to n do
    jmax := i;
    for j from i+1 to n do
      if max(abs(A[j,i])) > max(abs(A[jmax,i])) then jmax := j; end_if;
    end_for;
    if jmax <> i then
      A := /*sparse*/matrix::swapRow(A, i, jmax);
      b := /*sparse*/matrix::swapRow(b, i, jmax);
    end_if;
  end_for;
  [A, b];
end_proc:
