// $Date: 2003/08/19 13:59:22 $ $Author: tonner $ $Revision: 1.12 $ 
/*++
domains -- a library for constructing domains and categories
++*/

domains:= newDomain("domains"):
domains::info:= "Library 'domains': constructing domains and categories":
domains::interface:= { hold(hasProp) }:

alias(path = pathname("DOMAINS", "CONSTR"));
domains::hasProp:= loadproc(domains::hasProp, path, "DChasPro"):

unalias(path):
alias(path = pathname("DOMAINS", "CATEGORY"));
domains::discreteLog:=loadproc(domains::discreteLog, path, "discrlog"):
domains::grouporder:= loadproc(domains::grouporder, path, "grorder"):
domains::repeatedSquaring:= loadproc(domains::repeatedSquaring, path, "rep_sq"):

// end of file 
