
//
//   bij - 1998/99
//   
//   Pattern matching
//
//

matchlib:=newDomain("matchlib"):
matchlib::create_dom:=hold(matchlib):
matchlib::info:= "Library 'matchlib': tools for pattern matching":

matchlib::interface:=
  {//hold(match),
   hold(analyze)}:

matchlib::exported:=
  {hold(match)}:

alias(path = pathname("MATCHLIB")):
// the same as STDLIB: match
matchlib::match:=       loadproc(matchlib::match,      path, "match"):
matchlib::ismatch:=     loadproc(matchlib::ismatch,    path, "ismatch" ):
matchlib::matchgen:=    loadproc(matchlib::matchgen,   path, "matchgen"):
matchlib::analyze:=     loadproc(matchlib::analyze,    path, "analyze" ):
//matchlib::matchtree:= loadproc(matchlib::matchtree,  path, "matchtre"):

matchlib::compile :=    loadproc(matchlib::compile,    path, "compile"):
matchlib::PrefixTree := loadproc(matchlib::PrefixTree, path, "PrefixTree"):
matchlib::PrefixTreeResult
		     := loadproc(matchlib::PrefixTreeResult,
				                       path, "PrefixTree"):
matchlib::PrefixTreeFixatedResults
		     := loadproc(matchlib::PrefixTreeFixatedResults,
				                       path, "PrefixTree"):
matchlib::PrefixTreeReplacement
		     := loadproc(matchlib::PrefixTreeReplacement,
				                       path, "PrefixTree"):
matchlib::evalFSA    := loadproc(matchlib::evalFSA,    path, "PrefixTree"):

matchlib::AC:= table(hold(_or)        = FALSE,
		     hold(_and)       = TRUE,
		     hold(_union)     = {},
		     hold(_intersect) = universe,
		     hold(_plus)      = 0,
		     hold(_mult)      = 1,
		     hold(_concat)    = null(),
		     hold(_fconcat)   = id):

matchlib::_remainders_to_vars := loadproc(matchlib::_remainders_to_vars,
					  path, "ACutils"):
matchlib::_construct_AC_solutions := loadproc(matchlib::_construct_AC_solutions,
					      path, "ACutils"):
matchlib::_orderedMultisetPartitionsGenerator :=
loadproc(matchlib::_orderedMultisetPartitionsGenerator, path, "ACutils"):

// utility functions for matching code
matchlib::solve_bipartite := loadproc(matchlib::solve_bipartite, path, "bipartite"):

matchlib::find_one_maximum_matching := loadproc(matchlib::find_one_maximum_matching,
						path, "bipartite"):
matchlib::enum_maximum_matching := loadproc(matchlib::enum_maximum_matching,
					    path, "bipartite"):
matchlib::all_rhs_combos := loadproc(matchlib::all_rhs_combos,
				     path, "bipartite"):


null():
