// $Date: 2004/09/14 14:37:44 $ $Author: tonner $ $Revision: 1.27 $ 

// kg, 13/12/94 

/*--
output.mu -- define/load auxiliary functions
--*/

output:= newDomain("output"):
output::create_dom:=hold(output):

output::info:= "Library 'output': utilities for the output of data":
output::interface:= {
    hold(ordinal), hold(roman), 
    hold(tableForm), hold(tree), hold(fence), hold(asciiArt), hold(Symbol)
}:
output::exported := {hold(Content), hold(MathContent), hold(ContentLayout)}:

alias(path = pathname("OUTPUT")):

output::roman    := loadproc(output::roman    , path, "roman"   ):
output::Symbol   := loadproc(output::Symbol   , path, "Symbol"  ):
output::ordinal  := loadproc(output::ordinal  , path, "ordinal" ):
output::tableForm:= loadproc(output::tableForm, path, "tabForm" ):
output::tree     := loadproc(output::tree     , path, "tree"    ):
output::asciiArt := loadproc(output::asciiArt , path, "asciiArt"):

// undocumented Windows-only function
output::typeset  := loadproc(output::typeset,   path, "typeset"):

output::fence    := loadproc(output::fence,     path, "fence"):
output::fenceSymbols
                 := loadproc(output::fenceSymbols,
                                                path, "fence"):

// typesetting and MathML stuff
output::CatUtils:=
                   loadproc(output::CatUtils, path, "CatUtils"):
output::CatContent:=
                   loadproc(output::CatContent, path, "CatCont"):
output::MMLContent:=
                   loadproc(output::MMLContent, path, "MMLContent"):
output::MMLPresentation:=
                   loadproc(output::MMLPresentation, path, "MMLPresentation"):
output::Indent :=  loadproc(output::Indent, path, "Indent"):
output::Priority:= loadproc(output::Priority, path, "priority"):

null():

// end of file 
