// $Date: 2003/10/18 14:23:33 $ $Author: tonner $ $Revision: 1.10 $ 
// sello, 12.6.97 

/*++
print.mu -- print the given tableau
++*/

alias(Heap = linopt::Heap):
alias(Tableau = linopt::Tableau):
alias(Transparent = linopt::Transparent):
				
Transparent::print:=
proc(T)
  save PRETTYPRINT;
  
begin
  PRETTYPRINT := TRUE:
  return(Transparent::convert(T));
  //print(Transparent::convert(T))
				  // op(T,i)$ i=1..nops(T)
end_proc:



Transparent::Content :=
proc(Out, data)
  local arr, nrows, ncols;
begin
  arr := Transparent::convert(data);
  nrows := op(arr, [0, 2, 2]);
  ncols := op(arr, [0, 3, 2]);
  Out::Capply(Out::Ctableau,
              [hold(Rows)=expr2text(nrows),
               hold(Cols)=expr2text(ncols), 
               hold(rowlines)="sn", hold(columnlines)="sn"],
              map(op(arr), Out)):
end_proc:

unalias(Transparent):
unalias(Tableau):
unalias(Heap):
