/*****************************************************************************
  $Id: monomials.mu,v 1.1 2003/05/03 22:32:15 nthiery Exp $
  File:		lib/POLYLIB/monomials.mu
  Authors:	Nicolas M. Thiry <nthiery@users.sourceforge.net>
  Created:	26/09/2002
*****************************************************************************/

/**
   Allow for overloading monomials.
**/

polylib::monomials :=
proc(p: Type::AnyType)
    local n;
begin
    if p::dom::monomials <> FAIL then
	return(p::dom::monomials(p));
    end_if;
    if domtype(p) = DOM_POLY or p::dom::nthmonomial <> FAIL then
	return([nthmonomial(p, n) $ n = 1..nterms(p)]);
    end_if;
    return(hold(polylib::monomials)(args()));
end_proc:
