
// keywords and ...
Pref::allComplete:= () ->
  {"and", "begin", "break", "case", "delete", "div", "do",
   "domain", "end_domain",
   "downto", "elif", "else", "end", "end_case", "end_for" , "end_if",
   "end_proc", "end_repeat", "end_while", "FAIL",
   "FALSE", "for", "from", "I", "if", "in", "intersect",
   "local", "minus", "mod", "name", "next", "NIL", "not", "of",
   "option", "or", "otherwise", "proc", "quit", 
//   "RD_INF", "RD_NAN", "RD_NINF", 
   "repeat", "save", "step", "then", "to", "TRUE",
   "union", "until", "UNKNOWN", "while",
   // and system constants
   "EULER", "PI", "CATALAN",
   // and procedure options
   "remember",
// "arrow",  not documented and set implicitly by -> operator
   "noDebug", "frame", "FILEPATH"}
   union map(stdlib::anames(3) union stdlib::OPTIONS
             union stdlib::ENVIRONMENT_VARIABLES, expr2text):

// object should not displayed
Pref::noComplete:= () ->
  {"properties", "gcov", "_act_proc_env", "_break", "_case", 
   "_check_global", "_constructor", "_delete", "_eval_entry", "_for", 
   "_for_down", "_for_in", "_if", "_next", "_not", "_parser_callback", 
   "_parser_config", "_pattern", "_pref", "_print_userinfo", "_procdef", 
   "_quit", "_repeat", "_stmtseq", "_userinfo_level", "_while",
   "rdabs", "rddivide", "rdfloat2text", "rdgetsign", "rdint2float", 
   "rdisfinite", "rdmult", "rdnegate", "rdplus", "rdround", "rdsubtract",
   "rdtext2float",
   "clientCall", "clientObject", "clientMessage", "_domainfunccall",
   "_new_bytecode", "fun", "func", "newfuncarg", "newpurefunc",
   "_op_fconcat", "_op_plusmult", "_op_power", 
   "outputFormat", "outputType", "plotfunc", "plotlib", "protected",
   "rpoly", "crypto", "stdmod",
   "sysassign", "sysdelete", "sysevalassign", 
   "DomainConstructor", "_mult_intern", "Content", "MathContent",
   "ContentLayout",
   "Axiom", "AxiomConstructor", "Category", "CategoryConstructor", 
   "AcceptSingularity", "Auto", "AutoViewingBox",
   "ViewDirectional", "ViewFocalPointX", "ViewFocalPointY",
   "ViewFocalPointZ", "ViewOrthogonalProjection", 
   "ViewPositionX", "ViewPositionY", "ViewPositionZ",
   "ViewTranslationX", "ViewTranslationY", "ViewTranslationZ",
   "ViewViewingAngle", "ViewXMin", "ViewXMax", "ViewYMin", "ViewYMax",
   "LegendColor",
   "BinaryTree", "Coeff", "CompleteBinaryTree", "Crit",
   "DiffVars", "Empty", "ExpandFinite", "Format", "GenOrder",
   "InSet", "Label", "Lazy", "Leave", "LeaveNil", "MaxOrder",
   "MaxRecLevel", "ModuleTrace", "Node", "NonTerminal", "Opposite",
   "OutputDomain", "OutSet", "Preconditioning", "Primitive",
   "ProdPrd", "ProdPrdSeq", "ProdPrdSet", "ProdSeq", "ProdSet",
   "QDet", "Set", "Show", "ShowDependencies", "Source", "Source1", "Source2",
   "Subset", "Superset", "SymbolicAnalysis", "ToNearest",
   "ToInfinity", "ToMinusInfinity", "ToZero", "Zero",
   "specfunc", "Sum", "sparsematrix", "plot2d", "plot3d", "point", "polygon",
   "domattr", "funcattr", "faclib", "gcdlib", "iquo", "irem",
   "domains", "ROUNDING", "ClientObject", "Plot", "stdlib", "DOM_PROC_ENV",
   "DOM_RPOLY", "_frame", "_parentFrame", "_rootFrame",
   "meijerG", "_outputSequence", "_outputSequenceINFINITE", "_outputSequenceMult",
   "_outputSequencePlus", "_outputSequencePower", "_lastContentOutput",
   "__mod", "_mods", "_modp", "flock", "unlock", "linopt::dual", 
   "linopt::feasible", "linopt::standardForm", "_sortsum"
   }:
