Pref::dbgAutoList:= funcenv(
    proc(v)
    begin
        case args(0) 
        of 0 do
            return( _pref(hold(DbgAutoList)) )
        of 1 do
            if args(1) = NIL then // set default value 
               v:= _pref(hold(DbgAutoList));
	       _pref(hold() = FALSE);
               return( v )
            elif not contains( {TRUE,FALSE},v ) then
               error("expecting TRUE or FALSE")
            else
               _pref(hold(DbgAutoList));
	       _pref(hold(DbgAutoList) = v); 
               return( %2 )
            end_if
        otherwise
            error("wrong no of args (expecting TRUE or FALSE)")
        end_case
    end_proc):
Pref::dbgAutoList:= slot(Pref::dbgAutoList,
"info","Let the terminal debugger automatically print listings."):

Pref::dbgAutoList:= slot( Pref::dbgAutoList, "default", FALSE ):

// end of file 
