// $Id: sort.mu,v 1.3 2004/10/06 15:35:17 nthiery Exp $

// prog::sort(list, function, Option)
// sorts the given list by the numerical values given by 'function'
//
// Options: Reverse
//

prog::sort:=
  proc(LIST, FUNC = sysorder)
    local INDEX, reverse;
  begin
    reverse := bool(_lazy_and(args(0) >= 3, args(3)=hold(Reverse)));
    INDEX := map(LIST, FUNC, args(if reverse then 4 else 3 end_if..args(0)));

    %if traperror(table([1=1])) = 0 then
	INDEX := table(op(zip(LIST, INDEX, _equal)));
    else
	// For MuPAD < 3.0.0
	INDEX := table(zip(LIST, INDEX, _equal));
    end_if;

    if reverse then
      sort(LIST, (X, Y) -> INDEX[X] > INDEX[Y])
    else
      sort(LIST, (X, Y) -> INDEX[X] <= INDEX[Y])
    end_if
  end_proc:
