// $Id: timererror.mu,v 1.4 2003/07/28 07:16:47 bij Exp $

// 07/2003
// utility to print error message for the test mechanism
// -undocumented-

prog::timererror :=
  proc(today, expected = 1.0)
  begin
    if domtype(today) = DOM_STRING then
      if strmatch(today, "\*faster\*") <> FALSE then
        today := .3
      else
        today := 3
      end_if
    end_if;
    if today >= 2*expected then
      // slower than expected
      if prog::TestOldErrors <> FAIL then
        // called from Test
        fprint(Unquoted, 0, "Error*Timer* slower")
      end_if;
      if prog::TestQuiet <> TRUE then
        // interactive message
        warning("'".(if prog::TestFunc <> FAIL then
                       prog::getname(prog::TestFunc)
                     else
                       "tested function"
                     end_if).
                "' slower than expected")
      end_if
    elif today <= 0.5*expected then
      // faster than expected
      if prog::TestOldErrors <> FAIL then
        // called from Test
        fprint(Unquoted, 0, "Error*Timer* faster")
      end_if;
      if prog::TestQuiet <> TRUE then
        // interactive message
        warning("'".(if prog::TestFunc <> FAIL then
                       prog::getname(prog::TestFunc)
                     else
                       "tested function"
                     end_if).
                "' faster than expected")
      end_if
    end_if;
    null()
  end_proc:
