// $Date: 2002/08/14 05:44:31 $ $Author: bij $ $Revision: 1.12 $

DOM_IDENT::NRange:=
	proc(i, OPT = hold(Exact))
          local prop;
        begin
          if OPT = hold(Exact) then
            if contains(Type::ConstantIdents, i) then
              //property::IV([i, i], Type::Positive and not Type::Rational)
              Type::Positive and not Type::Rational
            else
              FAIL
            end_if
          else
            if contains(Type::ConstantIdents, i) then
              Type::Positive and not Type::Rational
            elif (prop:= getprop(i)) <> i
                 and type((prop:= property::convert_to(prop, property::NRange))) = "NRange" then
              prop
            else
              Type::Complex
            end_if
          end_if
	end_proc:

DOM_IDENT::Residue:=
	proc(i, OPT = hold(Exact))
        begin
          if OPT = hold(Exact) then
            FAIL
          else
            if contains(Type::ConstantIdents, i) then
              Type::Positive and not Type::Rational
            else
              FAIL
            end_if
          end_if
	end_proc:

DOM_IDENT::Complex:= DOM_IDENT::NRange:

DOM_IDENT::IV:=
	proc(i, OPT = hold(Exact))
        begin
          if OPT = hold(Exact) then
            if property::sysis(i, Type::Real)
               or contains(Type::ConstantIdents, i) then
              property::IV([i], [i])
            else
              FAIL
            end_if
          elif property::sysis(i, Type::Real)
               or contains(Type::ConstantIdents, i) then
            property::IV([i], [i])
          else
            Type::Complex
          end_if
	end_proc:

DOM_IDENT::Rel:=
	proc(i, OPT = hold(Exact))
        begin
          if OPT = hold(Exact) then
            if property::sysis(i, Type::Real) then
              property::Rel(hold(_equal), i)
            else
              FAIL
            end_if
          else
            Type::Complex
          end_if
	end_proc:
