// $Date: 2004/11/30 10:01:14 $ $Author: stefanw $ $Revision: 1.3.2.1 $

/*********************************************
_assuming(object, condition)

object - any object
condition - valid input to assume

evaluates object under the assumption that condition is
TRUE

**********************************************/


_assuming:=
proc(object, condition)
  option hold;
  save Global;
begin
  condition:= context(condition);
  map(indets([condition]) minus Type::ConstantIdents , _save);
  assume(condition);
  context(object)
end_proc: