// $Id: DOM_RAT.mu,v 1.1 2002/06/18 11:49:48 bij Exp $

// conversion methods for rational numbers

DOM_RAT::Rectform:=
  proc(rat)
  begin
    Set("Rectform", Set("Finite", rat), Set::Zero)
  end_proc:

DOM_RAT::Polarform:=
  proc(rat)
  begin
    Set::coerce(DOM_RAT::Rectform(rat), "Polarform")
  end_proc:

DOM_RAT::Real:=
  proc(rat)
  begin
    Set("Real", "rat", {sign(rat)})
  end_proc:

DOM_RAT::Finite:=
  proc(rat)
  begin
    Set("Finite", rat)
  end_proc:

DOM_RAT::Interval:=
  proc(rat)
  begin
    Set("Interval", [rat], [rat])
  end_proc:

DOM_RAT::Union:=
  proc(rat)
  begin
    Set("Union", Set("Finite", rat))
  end_proc:

DOM_RAT::Intersect:=
  proc(rat)
  begin
    Set("Intersect", Set("Finite", rat))
  end_proc:

DOM_RAT::Minus:=
  proc(rat)
  begin
    Set("Minus", Set("Finite", rat), Set::Empty)
  end_proc:

DOM_RAT::Bigunion:=
  proc(rat)
  begin
    FAIL
  end_proc:

DOM_RAT::Imageset:=
  proc(rat)
  begin
    Set("Imageset", `#k`, `#k`, Set("Finite", rat))
  end_proc:

DOM_RAT::Set:=
  proc(rat)
  begin
    Set("Finite", rat)
  end_proc: