// $Date: 2002/08/16 09:41:49 $ $Author: bij $ $Revision: 1.2 $




/* binop - generate a binary operator that can be used as
               slot(dom, operatorname)
*/

Set::binop:=
proc(operatorname)
  option escape;
  local Operator;
  
begin
  Operator:= text2expr(operatorname);
      
      /* return value */

  proc(a, b)
    local res, sl;
    
  begin
    if args(0) <> 2 then
      error("Wrong number of arguments")
    end_if;

    if domtype(b) <> Set then
      newb:= Set::coerce(b)
    end_if;
    if newb = FAIL then
      return(subsop(hold(id)(a, b), 0 = Operator, Unsimplified))
    else
      b:= newb
    end_if;
    
    sl:= slot(Set, operatorname.type(a).type(b)) (a, b);

    if sl = FAIL then
      subsop(hold(id)(a, b), 0 = Operator, Unsimplified)
    else
      sl
    end_if
  end_proc  // return value
  
end_proc;

   

proc()
  local t;
begin
  for t in {"_minus", "_subtract", "_divide", "_power", "_implies"} do
    slot(Set, t) := Set::binop(t)
  end_for
end_proc():
  

   
  
 
  
