
// besselJYrecurrence
// implements Abramowitz + Stegun, 9.1.27, first formula

Simplify::besselJYrecurrence:=
proc(b)
  local besselJY, n, z;
begin
  besselJY := eval(op(b, 0));
  assert(besselJY = besselJ or besselJY = besselY);
  n:= op(b, 1);
  assert(n <> 0);
  z:= op(b, 2);
  z/(2*n) * (besselJY(n-1, z) + besselJY(n+1, z))
end_proc:
