// $Id: extractContentFromBase.mu,v 1.4 2003/09/04 16:04:38 stefanw Exp $

// 06/2003, bij, stefanw
//

Simplify::extractContentFromBase:=
proc(e: "_power")
  local a, b,c;

begin
  [a , b] := [op(e)];
  if domtype(a) <> DOM_INT and domtype(a) <> DOM_RAT then
    // extract content
    c:= content(a);
    // this should be a rational number or FAIL
    assert(domtype(c) = DOM_INT or domtype(c) = DOM_RAT or c = FAIL);
    if c <> FAIL then
      if c <> 1 and c <> -1 then
        c:= abs(c);
        return((a/c)^b * c^b)
      end_if;
    end_if;
  end_if;

  // no success
  e

end_proc:
