// $Id: max.mu,v 1.3 2003/09/04 16:04:38 stefanw Exp $
// 
// 06/2003, bij, stefanw

// 

Simplify::maxSimplify:=
  proc(e)
    local s, olds, x, y, i, r;
  begin
    s := {op(e)};
    repeat
      olds := s;
      i := 0;
      while i < nops(s) do
        i := i + 1;
        x := op(s, i);
        // we should not use "for x in s" here,as s is updated below
        // and the loop would run over the original s!
        for y in s minus {x} do
          if type(y) = "min" then
            if contains({op(y)}, x) then
              s := s minus {y}
            end_if
          elif (r := is(x - y >= 0)) <> UNKNOWN then
            s := (if r then s minus {y} else s minus {x} end)
          end_if
        end_for
      end_while
    until s = olds or nops(s) = 1 end_repeat;
    if nops(s) = 1 then
      op(s)
    else
      max(op(s))
    end_if
  end_proc:
