
// rules for equivalence of equations

Simplify::MatchRules::_equal:=
  [
   Rule(A=B, hold(is(A=B)),
   {(A, B)-> testtype(A, Type::Constant)=TRUE and
                  testtype(B, Type::Constant)=TRUE}),

   Rule(A=B, hold(B=A),
        {(A, B) -> testtype(A, Type::Arithmetical) = TRUE and
        testtype(B, Type::Arithmetical) = TRUE}
        ) ,

   // sums
   Rule(A+B=C, hold(A=C-B),
        {(B,C) -> B<>0 and testtype(C, Type::Arithmetical) = TRUE}
        ),

   // products
     Rule(A*B=0, hold(A=0 or B=0)) ,
   Rule(A*B=C, hold(B=0 and C=0 or A=C/B),
        {(A, B, C) -> B<>1 and testtype(C, Type::Arithmetical) = TRUE }
        )


   ]:

