// $Date: 2003/09/22 11:45:43 $ $Author: bij $ $Revision: 1.2 $

// 
// patt, repl, OPT (wie fur match)
// 
// 
// 
// 
// 

Simplify::MatchRules::_in:=
  [
   Rule(`#A` in {}, FALSE),
   Rule(`#A` in {`#x`}, `#A`=`#x`),
  
   // solange Bezeichner komplexe Zahlen repr.
   Rule(`#A` in C_, TRUE),

   Rule(`#A` in R_, TRUE, {`#A` -> is(`#A`, Type::Real)}),


   Rule(`#A` in C_ minus R_, not `#A` in R_),
   
   Rule(`#A` in `#B` union `#C`, hold(`#A` in `#B` or `#A` in `#C`)),
   Rule(`#A` in `#B` intersect `#C`, hold(`#A` in `#B` and `#A` in `#C`)),

   // spezielle Mengen auf rechter Seite
   Rule(`#X`, hold(expand(`#X`)), {}, table("Default" = 1.0)),

//{`#X` -> type(op(`#X`,2))=Dom::Interval
//                                   or type(op(`#X`,2)) = DOM_SET }),




   // Rules that state that certain sets are closed under certain
   // operations

   Rule(`#A`*`#B` in R_, hold(`#A` in  R_),
        {`#B` -> is(`#B`, Type::Real)=TRUE and is(`#B`<>0)=TRUE}),
   Rule(`#A`+`#B` in R_, hold(`#A` in R_), {`#B` -> is(`#B`, Type::Real) = TRUE}),
   Rule(`#A`^2 in R_, hold(`#A` in R_ or `#A`/I in R_))

   
]:
   
