
Simplify::Global:=
proc(EXPR)
local inds;

begin  
inds:= indets(EXPR, All);
// global rewrite - Rules

[
if inds intersect {hold(arctan), hold(log)} <> {} then
  Rule(X -> rewrite(X, ln), {}, table("Default" = 0.93))
else
  null()
end_if,
       
 if inds intersect {hold(_power),
                    hold(sin), hold(cos), hold(sinh), hold(cosh)} <> {}
   then
   Rule(X -> rewrite(X, exp), {}, table("Default" = 0.95))
 else
   null()
 end_if,

 if inds intersect {hold(tan), hold(cot)} <> {} then
   Rule(X -> rewrite(X, sincos), {}, table("Default" = 0.95))
 else
   null()
 end_if,
       
 if inds intersect {hold(exp), hold(cos)} <> {} then
   Rule(X -> rewrite(X, sin), {}, table("Default" = 0.95))
 else
   null()
 end_if,
       
 if inds intersect {hold(exp), hold(sin)} <> {} then
   Rule(X -> rewrite(X, cos), {}, table("Default" = 0.95))
 else
   null()
 end_if,

 if inds intersect {hold(exp), hold(sinh)} <> {} then
   Rule(X -> rewrite(X, cosh), {}, table("Default" = 0.96))
 else
   null()
 end_if,

 if inds intersect {hold(exp), hold(cosh)} <> {} then
   Rule(X -> rewrite(X, sinh), {}, table("Default" = 0.96))
 else
   null()
 end_if,

 if inds intersect {hold(exp), hold(cos), hold(sin)} <> {} then
   Rule(X -> rewrite(X, tanh), {}, table("Default" = 0.97))
 else
   null()
 end_if
 ]

end_proc: