// $Id: ln.mu,v 1.6 2004/02/23 12:47:59 stefanw Exp $

// 06/2003, bij, stefanw
//
// simplification methods for expressions of type 'ln'
//   must be a list of procedures or rules

Simplify::ln :=
proc(a: "ln")
  local x;

begin
  x:= op(a);
  case type(x)

    of DOM_INT do
      [Rule(X -> Simplify::factorlnInt(X))];
      break
    of DOM_COMPLEX do
      [Rule(X -> expr(rectform(X)), {}, table("Default" = 0.8))];
      break
    otherwise
      []      
  end_case
  

end_proc:
  
