// $Date: 2002/10/02 14:07:04 $ $Author: ccr $ $Revision: 1.3 $

// 
// validate string to be valid identifier name
//

stringlib::validIdent:=
  proc(idname : DOM_STRING)
    local k;
  begin
    _lazy_and(domtype(idname) = DOM_STRING, idname <> "",
              contains(stringlib::lowerLetters.stringlib::upperLetters.["_"],
                      idname[1]) <> 0,
              contains(stringlib::lowerLetters.stringlib::upperLetters.
                       stringlib::digits.["_"], substring(idname, k)) <> 0 $ k = 2..length(idname))
  end_proc: