// $Date: 2004/10/04 08:11:52 $  $Author: bij $   $Revision: 1.13 $

student::plotTrapezoid :=
  proc(f, range = -5..5, N = 4)
  begin
    if args(0) = 0 then error("function expected as first argument") end_if;
    if f::dom::plotTrapezoid <> FAIL then return(f::dom::plotTrapezoid(args())) end_if;

    
    // f - function
    if testtype(range, Type::Equation(DOM_IDENT, "_range")) then
      f := plot::Function2d(f, range);
      if testtype(N, Type::PosInt) or testtype(N, Type::ListOf(Type::Real)) then
        // ok
      else
        // default
        N := 4
      end_if;
    else // default
      f := plot::Function2d(f);
      // second argument is N?
      if testtype(range, Type::PosInt) or testtype(range, Type::ListOf(Type::Real)) then
        N := range
      else
        // default value
        N := 4
      end_if
    end_if;

    // 
    plot::Integral(f, hold(Nodes) = N, hold(IntMethod) = hold(Trapezoid)),
    f
    
end_proc:
