/*****************************************************************************
  $Id: chooseNK.tst,v 1.1.1.1 2004/10/04 17:25:16 nthiery Exp $
  File:		lib/COMBINAT/TEST/chooseNK.mu
  Authors:	Florent Hivert <florent.hivert@univ-mlv.fr>
                Xavier Molinero <molinero@lsi.upc.es>
  Purpose:	Test file for the library 'combinat::chooseNK'
  Created:	24/01/2004
  License:	LGPL
*****************************************************************************/

prog::testinit("chooseNK"):

prog::testfunc(combinat::chooseNK::isA):

prog::test(combinat::chooseNK::isA([2], 3, 2),
           FALSE):
prog::test(combinat::chooseNK::isA([1, 2], 3, 2),
           TRUE):
prog::test(combinat::chooseNK::isA([1, 4], 3, 2),
           FALSE):
prog::test(combinat::chooseNK::isA([], 3, 0),
           TRUE):
prog::test(combinat::chooseNK::isA([], 3, 1),
           FALSE):

//////////////////////////////////////////////////////////////////////////////
prog::testfunc(combinat::chooseNK::unrank): // unrank & unrankSlow
n:=10:k:=4:
for i from 1 to binomial(n, k) do
    prog::test(combinat::chooseNK::unrank(i, n, k),
	       combinat::chooseNK::unrankSlow(i, n, k))
end_for:

//////////////////////////////////////////////////////////////////////////////
prog::testfunc(combinat::chooseNK::unrankNoLexi):
n := 10:
k := 4:
qw:= combinat::chooseNK::unrankNoLexi(1,n,k):
for i from 2 to binomial(n,k) do
    qw:= qw, combinat::chooseNK::unrankNoLexi(i,n,k)
end_for:
prog::test(nops({qw}), binomial(n,k)):

//////////////////////////////////////////////////////////////////////////////
// Global checking of the package

prog::testfunc(combinat::chooseNK):
prog::testexit():

prog::check(combinat::chooseNK, 3):

// Local Variables: 
// mode: mupad
// End:
