/*****************************************************************************
  $Id: imageClass.tst,v 1.1.1.1 2005/01/26 13:42:24 nthiery Exp $
  File:		lib/COMBINAT/TEST/imageClass.tst
  Authors:	Nicolas M. Thiry <nthiery@users.sourceforge.net>
  Created:	1/06/2003
  License:	LGPL
*****************************************************************************/

prog::testinit("imageClass"):

// The combinatorial class of permutations as list of integers in [0,...,n-1]
class := combinat::imageClass(combinat::permutations, map, _subtract, 1):

//////////////////////////////////////////////////////////////////////////////
prog::testfunc("combinat::imageClass::isA"):
//////////////////////////////////////////////////////////////////////////////

// TODO

//////////////////////////////////////////////////////////////////////////////
prog::testfunc("combinat::imageClass::count"):
//////////////////////////////////////////////////////////////////////////////

prog::test([class::count(i) $ i = 0..5],
           [1, 1, 2, 6, 24, 120]):

//////////////////////////////////////////////////////////////////////////////
prog::testfunc(imageClass::list):
//////////////////////////////////////////////////////////////////////////////

prog::test(class::list(3),
           [[0, 1, 2], [0, 2, 1], [1, 0, 2], [1, 2, 0], [2, 0, 1], [2, 1, 0]]):
//////////////////////////////////////////////////////////////////////////////
prog::testfunc(imageClass::generator):
//////////////////////////////////////////////////////////////////////////////

g:=class::generator(2):
prog::test(g(), [0, 1]):
prog::test(g(), [1, 0]):
prog::test(g(), FAIL):

//////////////////////////////////////////////////////////////////////////////
prog::testfunc(imageClass::unrank):
//////////////////////////////////////////////////////////////////////////////

prog::test(class::unrank(1, 2), [0, 1]):
prog::test(class::unrank(2, 2), [1, 0]):
prog::test(class::unrank(3, 2), FAIL):

//////////////////////////////////////////////////////////////////////////////
prog::testfunc(imageClass::random):
//////////////////////////////////////////////////////////////////////////////

prog::test(class::random(0), []):
prog::test(class::random(1), [0]):
prog::test(bool(class::random(2) in {[0,1],[1,0]})):

//////////////////////////////////////////////////////////////////////////////
prog::testfunc(imageClass::categories):
//////////////////////////////////////////////////////////////////////////////

// TODO

//////////////////////////////////////////////////////////////////////////////
// Global checking of the package

prog::testexit():

prog::check(class, 3):

// Local Variables: 
// mode: mupad
// End:
