/*****************************************************************************
  $Id: monoidAlgebra.mu,v 1.1.1.1 2003/09/15 16:37:40 nthiery Exp $
  File:		lib/DOMAINS/AXIOM/monoidAlgebra.mu
  Authors:	Nicolas M. Thiry <nthiery@users.sourceforge.net>
  Created:	16/02/2001
  License:	LGPL
*****************************************************************************/

/*++
   Ax::monoidAlgebra -- the axiom for monoid Algebra

   This axiom states that the algebra has a basis which is a monoid,
   and the multiplication of this algebra derives from this monoid.
   That is, the multiplication of two elements of the basis yields an
   element of the basis.

++*/

axiom Ax::monoidAlgebra end:
