/*****************************************************************************
  $Id: AlgebraWithSeveralBases.tst,v 1.1.1.1 2004/10/04 17:25:13 nthiery Exp $
  File:		lib/DOMAINS/CATEGORY/TEST/AlgebraWithSeveralBases.tst
  Authors:	Florent Hivert <florent.hivert@univ-mlv.fr>
  Purpose:	Test suite for the category Cat::AlgebraWithSeveralBases
  Created:	Wed Sep 15 10:10:58 2004
  License:	LGPL
  Project:	MuPAD-Combinat, http://mupad-combinat.sf.net
*****************************************************************************/

prog::testinit("AlgebraWithSeveralBases"):

domain test
    inherits Dom::BaseDomain;
    category Cat::AlgebraWithSeveralBases(Dom::Rational);

    bases := { Dom::MultivariatePolynomial([x,y,z], Dom::Rational) };
end:

//////////////////////////////////////////////////////////////////////////////
prog::testfunc(Cat::AlgebraWithSeveralBases):
prog::testexit():
//////////////////////////////////////////////////////////////////////////////

prog::check(test, 3):


// Local Variables:
// mode: mupad
// End:
