/*****************************************************************************
  $Id: CombinatorialClassWith2DBoxedRepresentation.tst,v 1.1.1.1 2004/10/04 17:25:13 nthiery Exp $
  File:		lib/DOMAINS/CATEGORY/TEST/CombinatorialClassWith2DBoxedRepresentation.tst.new
  Authors:	Nicolas M. Thiry <nthiery@users.sourceforge.net>
  Purpose:	Test suite for the category Cat::CombinatorialClassWith2DBoxedRepresentation
  Created:	Sat Nov 22 23:16:30 2003
  License:	LGPL
  Project:	MuPAD-Combinat, http://mupad-combinat.sf.net
*****************************************************************************/

prog::testinit("CombinatorialClassWith2DBoxedRepresentation"):

domain test // dummy combinatorial class containing a boxed 1
    inherits Dom::BaseDomain;
    category Cat::CombinatorialClassWith2DBoxedRepresentation;
    axiom Ax::systemRep;

    toArray := () -> array(1..1,1..1, (1,1)=1);
end:

//////////////////////////////////////////////////////////////////////////////
prog::testfunc(Cat::CombinatorialClassWith2DBoxedRepresentation):
//////////////////////////////////////////////////////////////////////////////

prog::check(test, 3):

prog::testexit():

// Local Variables:
// mode: mupad
// End:
