/*****************************************************************************
  $Id: FiniteDimensionalAlgebraWithBasis.tst,v 1.1.1.2 2004/10/04 17:25:13 nthiery Exp $
  File:		lib/DOMAINS/CATEGORY/TEST/FiniteDimensionalAlgebraWithBasis.tst
  Authors:	Nicolas M. Thiry <nthiery@users.sourceforge.net>
  Purpose:	Test suite for the category Cat::FiniteDimensionalAlgebraWithBasis
  Created:	Wed Sep  3 14:00:08 2003
  License:	LGPL
  Project:	MuPAD-Combinat, http://mupad-combinat.sf.net
*****************************************************************************/

prog::testinit("FiniteDimensionalAlgebraWithBasis"):

domain test
    inherits Dom::BaseDomain;
    category Cat::FiniteDimensionalAlgebraWithBasis(Dom::Rational);

    basisIndices := combinat::subClass(combinat::partitions, Parameters = 0);
    fromList := ()->new(dom);
    toList   := ()->new(dom);
    monomial := ()->new(dom);
    _plus    := ()->new(dom);
    _mult    := ()->new(dom);
    _invert  := ()->new(dom);
    _divide  := ()->new(dom);
    convert  := ()->new(dom);
    coeff    := ()->error("not implemented");
    print    := ()->new(dom);
    zero     := ()->new(dom, 0);
    one      := ()->new(dom, 1);
end:

//////////////////////////////////////////////////////////////////////////////
prog::testfunc(Cat::FiniteDimensionalAlgebraWithBasis):
//////////////////////////////////////////////////////////////////////////////

prog::check(test, 3):

prog::testexit():

// Local Variables:
// mode: mupad
// End:
