/*****************************************************************************
  $Id: GradedAlgebraWithBasis.tst,v 1.1.1.1 2003/09/15 16:37:40 nthiery Exp $
  File:		lib/DOMAINS/CATEGORY/TEST/GradedAlgebraWithBasis.tst
  Authors:	Nicolas M. Thiry <nthiery@users.sourceforge.net>
  Purpose:	Test suite for the category Cat::GradedAlgebraWithBasis
  Created:	Wed Sep  3 14:25:56 2003
  License:	LGPL
  Project:	MuPAD-Combinat, http://mupad-combinat.sf.net
*****************************************************************************/

prog::testinit("GradedAlgebraWithBasis"):

domain test
    inherits Dom::BaseDomain;
    category Cat::GradedAlgebraWithBasis(Dom::Rational);

    basisIndices := combinat::partitions;
    fromList := ()->new(dom);
    toList   := ()->new(dom);
    monomial := ()->new(dom);
    _plus    := ()->new(dom);
    _mult    := ()->new(dom);
    _invert  := ()->new(dom);
    _divide  := ()->new(dom);
    convert  := ()->new(dom);
    coeff    := ()->error("not implemented");
    print    := ()->new(dom);
    zero     := ()->new(dom);
    one      := ()->new(dom);
    degreeBasis := _plus@op;
end:

//////////////////////////////////////////////////////////////////////////////
prog::testfunc(Cat::GradedAlgebraWithBasis):
//////////////////////////////////////////////////////////////////////////////

prog::check(test, 3):

prog::testexit():

// Local Variables: 
// mode: mupad
// End:
