/*****************************************************************************
  $Id: LeftAModuleWithBasis.tst,v 1.1.1.1 2004/10/04 17:25:13 nthiery Exp $
  File:		lib/DOMAINS/CATEGORY/TEST/LeftAModuleWithBasis.tst
  Authors:	Florent Hivert <florent.hivert@univ-mlv.fr>
  Purpose:	Test suite for the category Cat::LeftAModuleWithBasis
  Created:	Sun Jun 13 10:31:41 2004
  License:	LGPL
  Project:	MuPAD-Combinat, http://mupad-combinat.sf.net
*****************************************************************************/

prog::testinit("LeftAModuleWithBasis"):
SG3 := examples::SymmetricGroupAlgebra(3):
domain test
    inherits Dom::FreeModule(Dom::Rational, combinat::finiteClass([1]));
    category Cat::LeftAModuleWithBasis(SG3);
	     
    mult2Basis := proc() begin dom::term(1); end_proc; 	     
end:

//////////////////////////////////////////////////////////////////////////////
prog::testfunc(Cat::LeftAModuleWithBasis):

prog::test((2*SG3([2,1,3]))*test(1), 2*test(1)):
prog::test((3*SG3([2,1,3]))*(2*test(1)), 6*test(1)):
prog::testexit():
//////////////////////////////////////////////////////////////////////////////

prog::check(test, 3):


// Local Variables:
// mode: mupad
// End:
