/*****************************************************************************
  $Id: OperadWithBasis.tst,v 1.1.1.1 2004/10/04 17:25:13 nthiery Exp $
  File:		lib/DOMAINS/CATEGORY/TEST/OperadWithBasis.tst
  Authors:	Nicolas M. Thiry <nthiery@users.sourceforge.net>
  Purpose:	Test suite for the category Cat::OperadWithBasis
  Created:	Tue Dec  9 20:54:18 2003
  License:	LGPL
  Project:	MuPAD-Combinat, http://mupad-combinat.sf.net
*****************************************************************************/

prog::testinit("OperadWithBasis"):

domain test
    inherits Dom::BaseDomain;
    category Cat::OperadWithBasis(Dom::Rational);

    basisIndices:= combinat::partitions;
    fromList    := stupidDef;
    toList      := stupidDef;
    monomial    := stupidDef;
    coeff       := stupidDef;
    _plus       := stupidDef;
    _mult       := stupidDef;
    _negate     := stupidDef;
    convert     := stupidDef;
    print       := stupidDef;
    one         := stupidDef;
    composition := stupidDef;
    expr        := stupidDef;
    iszero      := stupidDef;
end:

//////////////////////////////////////////////////////////////////////////////
prog::testfunc(Cat::OperadWithBasis):
//////////////////////////////////////////////////////////////////////////////

prog::check(test, 3):

prog::testexit():

// Local Variables:
// mode: mupad
// End:
