/*****************************************************************************
  $Id: UseOverloading.tst,v 1.1.1.2 2003/09/23 18:39:15 nthiery Exp $
  File:		lib/EXPERIMENTAL/TEST/BaseDomain.tst
  Authors:	Nicolas M. Thiry <nthiery@users.sourceforge.net>
  Purpose:	Test file for the library 'experimental::BaseDomain'
  Created:	04/12/2002
  License:	LGPL
*****************************************************************************/

prog::testinit("UseOverloading"):

prog::testfunc("initDomainAdd"):

l:=[]:

domain domA
    inherits Dom::BaseDomain;
    category Cat::UseOverloading;

    initDomainAdd := () -> (l:=append(l,[dom, "domA"]));
end_domain:

prog::test(l,
	   [[domA, "domA"]]):
l := []:

category catA
    category Cat::UseOverloading;

    initDomainAdd := () -> (l:=append(l,[dom, "catA"]));
end_category:

category catB
    category catA;

    initDomainAdd := () -> (l:=append(l,[dom, "catB"]));
end_category:

domain domB
    inherits domA;
    category catB;

    initDomainAdd := () -> (l:=append(l,[dom, "domB"]));
end_domain:

prog::test(l,
	   [[domB, "catA"], [domB, "catB"],
	    [domB, "domA"], [domB, "domB"]]):
l := []:

domain domC
    inherits domB;
    category catB;

    initDomainAdd := () -> (l:=append(l,[dom, "D"]));
end_domain:

prog::test(l,
	   [[domC, "catA"], [domC, "catB"],
	    [domC, "domA"], [domC, "domB"], [domC, "D"]]):

prog::testexit():

// Local Variables: 
// mode: mupad
// End:
