/*****************************************************************************
  $Id: getEntryFromAllCategories.tst,v 1.1.1.1 2003/09/15 16:37:44 nthiery Exp $
  File:		lib/DOMAINS/CONSTR/TEST/getEntryFromAllSuperCategories.tst
  Authors:	Nicolas M. Thiry <nthiery@users.sourceforge.net>
  Purpose:	Test file for the library 'DomainConstructor::getEntryFromAllSuperCategories'
  Created:	04/12/2002
  License:	LGPL
*****************************************************************************/

prog::testinit("getEntryFromAllCategories"):

prog::testfunc(DomainConstructor::getEntryFromAllCategories):

prog::check(DomainConstructor::getEntryFromAllCategories, 3):

category A1
    a := ()->[dom,"A1"];
end_category:

category A2
    a := ()->[dom,"A2"];
end_category:

category A3
    a := ()->[dom,"A3"];
end_category:

category B
    local b;
    category A1, A2;
    a := ()->[dom,b];
begin
    b := "B";
end_category:

category C(b)
    category B, A3;
    a := ()->[dom,b];
begin
end_category:

domain DD
    category C("C");
end_domain:

prog::test(DomainConstructor::getEntryFromAllCategories(DD, "a")(),
           [[DD, "C"], [DD, "B"], [DD, "A3"], [DD, "A1"], [DD, "A2"]]):

prog::testexit():

// Local Variables: 
// mode: mupad
// End:
