/*****************************************************************************
  $Id: getEntryFromCategory.tst,v 1.1.1.1 2003/09/15 16:37:44 nthiery Exp $
  File:		lib/DOMAINS/CONSTR/TEST/getEntryFromCategory.tst
  Authors:	Nicolas M. Thiry <nthiery@users.sourceforge.net>
  Purpose:	Test file for the library 'DomainConstructor::getEntryFromCategory'
  Created:	04/12/2002
  License:	LGPL
*****************************************************************************/

prog::testinit("getEntryFromCategory"):

prog::testfunc(DomainConstructor::getEntryFromCategory):

prog::check(DomainConstructor::getEntryFromCategory, 3):

category A(bla)
    local ble;

    a := ()->[dom,bla,ble];
begin
    ble := "ble";
end_category:

domain B
    category A("bla");
end_domain:

prog::test(DomainConstructor::getEntryFromCategory(B, A("bla"), "a")(),
           [B, "bla", "ble"]):

prog::testexit():

// Local Variables: 
// mode: mupad
// End:
