/*****************************************************************************
  $Id: GraphAddon.tst,v 1.1.1.1 2003/09/15 16:37:44 nthiery Exp $
  File:         lib/DOMAINS/DOMAIN/TEST/GraphAddon.mu
  Authors:      Florent Hivert <florent.hivert@univ-mlv.fr>
  Purpose:      Test file for the add-on to the library Graph
  Created:      30/09/2002
  License:      LGPL
*****************************************************************************/

prog::testinit("GraphAddon"):

prog::testfunc(Dom::Graph::levelDecomposition):

gr := Dom::Graph::new([a,b,c,d], [], Directed):
prog::test(Dom::Graph::levelDecomposition(gr),
           [[a, b, c, d]]):
gr := Dom::Graph::new([a,b,c], [[a,b],[a,c]], Directed):
prog::test(Dom::Graph::levelDecomposition(gr),
           [[a], [b, c]]):
gr := Dom::Graph::new([a,b,c], [[a,b],[a,c],[b,a]], Directed):
prog::test(Dom::Graph::levelDecomposition(gr),
           FAIL):
gr := Dom::Graph::new([a,b,c], [[a,b],[a,c],[b,c]], Directed):
prog::test(Dom::Graph::levelDecomposition(gr),
           [[a], [b], [c]]):
gr := Dom::Graph::new([a,b,c,d], [[a,b],[a,c],[b,d]], Directed):
prog::test(Dom::Graph::levelDecomposition(gr),
           [[a], [b, c], [d]]):
gr := Dom::Graph::new([a,b,c,d,e,f], [[a,b],[a,c],[b,d],[b,e],[c,f],[d,f]], 
		      Directed):
prog::test(Dom::Graph::levelDecomposition(gr),
           [[a], [b, c], [d, e], [f]]):

// isAcyclic is implemented on levelDecomposition so it need not so much tests.
prog::testfunc(Dom::Graph::isAcyclic):
gr := Dom::Graph::new([a,b,c,d], [], Directed):
prog::test(Dom::Graph::isAcyclic(gr),
           TRUE):
gr := Dom::Graph::new([a,b,c,d], [[a,b],[b,c]], Directed):
prog::test(Dom::Graph::isAcyclic(gr),
           TRUE):

prog::testexit():
null():
// Local Variables:
// mode: mupad
// End:

