/*****************************************************************************
  $Id: Schur.tst,v 1.1.1.1 2004/10/04 17:25:13 nthiery Exp $
  File:		lib/EXPERIMENTAL/TEST/Schur.tst
  Authors:	Nicolas M. Thiry <nthiery@users.sourceforge.net>
  Purpose:	Test suite for the domain experimental::Schur
  Created:	Tue Jul  6 09:16:30 2004
  License:	LGPL
  Project:	MuPAD-Combinat, http://mupad-combinat.sf.net
*****************************************************************************/

prog::testinit("Schur"):

//////////////////////////////////////////////////////////////////////////////
prog::testfunc(experimental::Schur):

//////////////////////////////////////////////////////////////////////////////
prog::testfunc("minorIndex"):

prog::test(experimental::Schur::minorIndex([], []),
           matrix([])):
prog::test(experimental::Schur::minorIndex([0, 0, 0], [3, 6, 9]),
           matrix([[3, 7, 11], [2, 6, 10], [1, 5, 9]])):

//////////////////////////////////////////////////////////////////////////////
prog::testfunc("schur"):
S := examples::SymmetricFunctions():
prog::test(S::s(experimental::Schur::schur([3, 6, 9])),
           S::s([9, 6, 3])):

prog::testexit():
//////////////////////////////////////////////////////////////////////////////

prog::check(test, 3):


// Local Variables:
// mode: mupad
// End:
