/*
|  File Cp2MjIdx (COMP PACKAGE) Jeudi 22 mai 1997 18:03:52
|
|  Compo2MajorIndex(c) 	computes the major index associated to a
|		 	composition.
| 
*/

/*
|  VP220597
*/
muEC::COMP::Compo2MajorIndex_core := proc(c)
local
  lv ,
  i ; /* var for seq... */
begin
  lv := nops(c);
  if (lv=1) then 0; else _plus((lv-i)*op(c,i) $ i=1..lv); end_if;
end_proc;

/*
|  VP220597
*/
muEC::COMP::Compo2MajorIndex_check := proc(c)
begin
  if (not muEC::TYP::IsCompo(c)) then
    muEC::ERR::COMPPerror(1,procname);
  end_if;
end_proc;

/*
|  VP220597
*/
muEC::COMP::Compo2MajorIndex := proc(compo)
begin
  if testargs() then
    muEC::COMP::Compo2MajorIndex_check(args());
  end_if;
  muEC::COMP::Compo2MajorIndex_core(args());
end_proc:
