/*
| File SGPerr (ERR PACKAGE) Sat Oct 25 09:52:25 MET DST 1997
|
| SGPerror(n) stops the execution, printing the error message number n.
|
| VP251097
*/
muEC::ERR::SGPerror:=proc(n)
local
  messages; /* This is the list of messages... */
begin
  messages:=
  [
  /* 1 */
  "wrong type for first argument...",
  /* 2 */
  "wrong range for first argument...",
  /* 3 */
  "wrong type for second argument...",
  /* 4 */
  "wrong range for second argument...",
  /* 5 */
  "wrong type for third argument...",
  /* 6 */
  "wrong range for third argument...",
  /* 7 */
  "wrong type for fourth argument...",
  /* 8 */
  "wrong range for fourth argument...",
  /* 9 */
  "All arguments should be permutations...",
  /* 10 */
  "Can't do such a work...",
  /* 11 */
  "First argument should be a square matrix...",
  /* 12 */
  "One power is not an integer...",
  /* 13 */
  "Can't multiply permutations since * is a commutative operator...",
  /* 14 */
  "Wrong type for fifth argument...",
  /* 15 */
  "Wrong range for fifth argument..."
  ];
  if (args(0)<>1 and args(0)<>2) then 
    error(messages[n]);
  elif (args(0)=1) then
    error(messages[n]);
  else
    error(_concat("In procedure ",expr2text(args(2)),": ", messages[n]));
  end_if;
end_proc:
