/*
| File SPPerr (ERR PACKAGE) Sun May 17 11:15:33 MET DST 1998
|
| SPPerror(n) stops the execution, printing the error message number n.
|
| VP170598
*/
muEC::ERR::SPPerror:=proc(n)
local
  messages; /* This is the list of messages... */
begin
  messages:=
  [
  /* 1 */
  "wrong type for first argument...",
  /* 2 */
  "wrong range for first argument...",
  /* 3 */
  "wrong type for second argument...",
  /* 4 */
  "wrong range for second argument...",
  /* 5 */
  "wrong type for third argument...",
  /* 6 */
  "wrong range for third argument...",
  /* 7 */
  "wrong type for fourth argument...",
  /* 8 */
  "wrong range for fourth argument...",
  /* 9 */
  "Can't do such a work...",
  /* 10 */
  "No transition for the identity permutation...",
  /* 11 */
  "Second argument is an unknown basis..."
  ];
  if (args(0)<>1 and args(0)<>2) then 
    error(messages[n]);
  elif (args(0)=1) then
    error(messages[n]);
  else
    error(_concat("In procedure ",expr2text(args(2)),": ", messages[n]));
  end_if;
end_proc:
