/*
|  File PCore2Pa (PART PACKAGE) Wed Apr 22 08:59:14 MET DST 1998
*/

/*
|  PCore2Part(pcore)  returns the partition asociated to the list 
|                     [p-core, p-quotients... ].
|  AL230298 VP220498
*/
muEC::PART::PCore2Part_core :=proc(vpa)
 local
   p,  /* the p of the p-core... */
   i,  /* var for seq...         */
   j,  /* var for seq...         */
   k,  /* a length...            */
   v,
   w,  /* the result...          */
   pa; /* p-core...              */
begin
  p := nops(vpa)-1;
  pa := op(vpa,1);
  k := p*max(ceil(nops(pa)/p),op(map(vpa,nops)))+p; 
  v := [_seqgen(pa[i]-i+1, i,1..nops(pa)),_seqgen(-i+1,i,nops(pa)+1..k)];
  w := [_seqgen(select(v,proc(vl,p,i) begin bool(vl-i mod p=0) end_proc,p,i),
               i,1..p)];
  w := [_seqgen(op(subsop(op(w,i),_seqgen(j=op(op(w,i),j)+p*op(op(vpa,i+1),j),
                                          j,1..nops(op(vpa,i+1))))),
                i,1..p)];
  w := sort(w, proc(a,b) begin bool(a>b) end_proc);   
  subs(subsop(w,_seqgen(i=w[i]+i-1,i,1..nops(w))),0=null());
end_proc:
/*
|  type ckecking
|  VP300697
*/
muEC::PART::PCore2Part_check := proc(vpa)
begin
end_proc:
/*
|  VP300697
*/
muEC::PART::PCore2Part := proc(vpa)
begin
  if testargs() then
    muEC::PART::PCore2Part_check(args());
  end_if;
  muEC::PART::PCore2Part_core(args());
end_proc:
