/*
|  File AllValue (SP PACKAGE) Wed May 20 19:21:09 MET DST 1998
*/

/*
|  AllValues(poly,b) assuming that poly is expressed on base b, it extracts
|                    all numbers occuring in poly as b<number>.
|                    It returns a set...
|  SV200598 VP290399
*/
muEC::SP::AllValues := proc(pol,b)
local
  f,   /* a function...                  */
  str, /* a string...                    */
  bstr,/* a string...                    */
  i;   /* variable for indeterminates... */
begin
  f :=  muEC::cat("muEC::TYP::Is",b);
  if testtype(pol,"_plus") or testtype(pol,"_mult") then
    _union(_seqin(muEC::SP::AllValues(i,b), i,pol));
  elif testtype(pol,"_power") then
    muEC::SP::AllValues(op(pol,1),b);
  else
    if level(eval(f(pol)),2) then
    /*if level(f(pol,2))=TRUE then*/
      str := expr2text(pol);
      bstr := expr2text(b);
      i := strmatch(str, _concat(bstr,"\*"), Index);
      %if "12"[1]="1" then // work around a change in strings indexed
			 // access from MuPAD 3.0.0 on
	  {text2expr(substring(str,length(bstr)+1,op(i,2)-length(bstr)))};
      else
	  {text2expr(substring(str,length(bstr),op(i,2)-length(bstr)+1))};
      end_if;
    else
      {};
    end_if;
  end_if;
end_proc:

/*
|  EValue(expr,x) returns i if expr=x.i
|  SV250598
*/
muEC::SP::EValue := proc(expre, x)
local
  str, /* a string...                    */
  bstr,/* a string...                    */
  r,   /* the result...                  */
  i;   /* variable for indeterminates... */
begin
  str := expr2text(expre);
  bstr := expr2text(x);
  i := strmatch(str, _concat(bstr,"\*"), Index);
  if i<>FALSE then
    %if "12"[1]="1" then // work around a change in strings indexed
			 // access from MuPAD 3.0.0 on
	r := text2expr(substring(str,length(bstr)+1,op(i,2)-length(bstr)));
    else
	r := text2expr(substring(str,length(bstr),op(i,2)-length(bstr)+1));
    end_if;
    if testtype(r, DOM_INT) then
      r;
    else
      -1;
    end_if;
  else
    -1;
  end_if;
end_proc:
