/*
|  File Special (SP PACKAGE) Tue Jun 16 16:13:18 MET DST 1998
*/

/*
|  SpSpecialize(expre,gname,f,args) sends each gname.i onto f(i,args), or
|                                   gname[list] onto f(list,args).
|  SV250598
*/
muEC::SP::SpSpecialize_core := proc(expre,gname,f)
begin
  if has(muEC::SP::SPBasesString, gname) then
    subs(expre,
         map(muEC::SP::Sp2TableVar(expre,gname),
             proc(v) begin gname.v=f(v,args(2..args(0))) end_proc , args(4..args(0))));
  else
    subs(expre,
         map(muEC::SP::Sp2TableVar(expre,gname),
             proc(v) begin gname[op(v)]=f(v,args(2..args(0))) end_proc , args(4..args(0))));
  end_if;
end_proc:

/*
|  SV160698
*/
muEC::SP::SpSpecialize_check := proc(expre,gname,f)
begin
  if (not testtype(gname,DOM_IDENT)) and not testtype(gname,"_index") then
    muEC::ERR::SPPerror(3,procname);
  elif not has(muEC::SP::SPBases,gname) then
    muEC::ERR::SPPerror(4,procname);
  elif not (testtype(f,DOM_PROC) or testtype(f,"fun")) then
    muEC::ERR::SPPerror(5,procname);
  end_if;
end_proc:

/*
|  SV160698
*/
muEC::SP::SpSpecialize := proc(expre,gname,f)
begin
  if testargs() then
    muEC::SP::SpSpecialize_check(args());
  end_if;
  muEC::SP::SpSpecialize_core(args());
end_proc:
