/*
|  File ToPe (SP PACKAGE) Wed Jun 17 08:47:47 MET DST 1998
*/

/*
|  ToPe(pol,b) expresses pol on the Pe basis assuming that pol is expressed
|              solely in terms of the base b (x, y, X, Y, XX, YY, Pe).
|  SV170698 VP290399
*/
muEC::SP::ToPe := proc(f)
local
  i,
  r,
  rr,
  copt,
  nopt,
  b;
begin
  copt := FALSE:
  nopt := FALSE:
  b := {op(muEC::SP::SPBases)}:
  for i from 2 to args(0) do
    if args(i)=hold(Collect) then
      copt := TRUE;
    elif args(i)=hold(NoExpand) then
      nopt := TRUE;
    elif has(muEC::SP::SPBases,args(i)) then
      b := {args(i)};
    else
      muEC::ERR::SPPerror(2*i-1,procname);
    end_if;
  end_for;
  r := muEC::SP::X2Pe(muEC::SP::ToX_heart(f,b,nopt,copt));
  if copt then
    rr := [op(map(muEC::SYMF::AllIndexed(r,hold(Pe)), proc(mu) begin hold(Pe)[op(mu)] end_proc ))];
    if nops(rr)>0 then
      collect(r, rr);
    else
      r;
    end_if;
  else
    r;
  end_if;
end_proc:

