/*
|  File x2Pe (SP PACKAGE) Tue Jun 16 10:37:17 MET DST 1998
*/

/*
|  x2Pe(f) from x basis to Pe basis.
|  SV170698 VP290399
*/
muEC::SP::x2Pe := proc(f)
local
  i,
  r,
  rr,
  copt,
  nopt,
  b;
begin
  copt := FALSE:
  nopt := FALSE:
  b := {op(muEC::SP::SPBases)}:
  for i from 2 to args(0) do
    if args(i)=hold(Collect) then
      copt := TRUE;
    elif args(i)=hold(NoExpand) then
      nopt := TRUE;
    elif has(muEC::SP::SPBases,args(i)) then
      b := {args(i)};
    else
      muEC::ERR::SPPerror(2*i-1,procname);
    end_if;
  end_for;
  r := muEC::SP::X2Pe(muEC::SP::x2X(f,args(2..args(0))));
  if copt then
    rr := [op(map(muEC::SYMF::AllIndexed(r,hold(Pe)), proc(mu) begin hold(Pe)[op(mu)] end_proc ))];
    if nops(rr)>0 then
      collect(r, rr);
    else
      r;
    end_if;
  else
    r;
  end_if;
end_proc:
