/**
|  File SYM.mu Thu Nov 27 08:12:57 MET 1997
|
|          The muEC::SYM Library for Interfacing Symmetrica.
|
| VP271197 VP020498
**/

/**
User Functions: <none>
**/

/**
No algorithm; it is just an interface.
**/

/* NT 05/11/2003: Not needed anymore; Symmetrica is autoloaded now.
if not testtype(Symmetrica, DOM_DOMAIN) then
    module("Symmetrica"):
end_if:
*/

muEC::SYM := Symmetrica:
/* NT 05/11/2003: disabled because this is broken if Symmetrica is not available
muEC::SYM::info      := "Library muEC::SYM: interface for Symmetrica (no documentation)":
muEC::SYM::interface := {}:
*/

/** Functions to be called in SG
+ muEC::SYM::Chi
+ muEC::SYM::SgCharTable
**/

/** Functions to be called in SYMF
+ muEC::SYM::LRrSf_elem
+ muEC::SYM::MuirSf
+ muEC::SYM::Pletps_elem
+ muEC::SYM::Pletps_elem_l
+ muEC::SYM::Pletps_elem_mx
+ muEC::SYM::Pletss_elem
+ muEC::SYM::Pletss_elem_l
+ muEC::SYM::Pletss_elem_mx
+ muEC::SYM::m2s_elem
+ muEC::SYM::p2s_elem
+ muEC::SYM::s2m_elem
+ muEC::SYM::s2p_elem
**/

/** Other functions
+ muEC::SYM::kostka_tafel
+ muEC::SYM::outerproduct_schur
+ muEC::SYM::l_outerproduct_schur
+ muEC::SYM::mx_outerproduct_schur
**/

null():
