/*
|  File AllInd (SYMF PACKAGE) Thu Nov 27 18:55:14 MET 1997
*/

/*
|  AllIndexed(poly,b) assuming that poly is expressed on base b[], it returns
|                     the set of all indices appearing in poly as b[..].
|  VP271197 VP090198 VP120198 VP260498
*/
muEC::SYMF::AllIndexed := proc(pol,b)
local
  f, /* a function...                  */
  i; /* variable for indeterminates... */
begin
  if has({op(muEC::SYMF::SYMFBases)} union {op(muEC::SP::SPBases)}, b) then
    f :=  muEC::cat("muEC::TYP::Is",b);
  else
    f := proc(x) begin bool(op(x,1)=b) end_proc ;
  end_if;
  if testtype(pol,"_plus") or testtype(pol,"_mult") then
    _union(_seqin(muEC::SYMF::AllIndexed(i,b),i,pol));
  elif testtype(pol,"_power") then
    muEC::SYMF::AllIndexed(op(pol,1),b);
  else
    /*if level(f(pol),2) then*/
    if level(eval(f(pol)),2) then
      {[op(pol, 2..nops(pol))]};
    else
      {};
    end_if;
  end_if;
end_proc:  
