/*
|  File MuirSf (SYMF PACKAGE) Fri Oct 24 11:02:11 MET DST 1997
*/

/*
|  Some uses of the Muir formula for partition made of one part... */
/*
|  MuirSf(f,sch) computes f*sch, where sch=s[p2] is a Schur "function" and f=m[p1] is the
|                monomial corresponding to the partition p1.
|                The result is on the basis of Schur functions.
*/

/*
|  VP271197 VP020498
| We call the SYMMETRICA function schur_monomial_mult (muEC::SYM::MuirSf)
*/
muEC::SYMF::MuirSf := proc(f,sch)
begin
  muEC::SYM::MuirSf(sort([op(f,1..nops(f))]), sort([op(sch,1..nops(sch))]));
end_proc:
