/*
|  File SfOmega (SYMF PACKAGE) Mon Jan 12 10:19:30 MET 1998
*/

/*
|  SfOmega(sf1) applies the omega-automorphism to the symmetric "function" sf1.
|  VP120198 VP240498
*/
muEC::SYMF::SfOmega_core := proc(sf1)
begin
  subs(sf1,
  [
   op(map(muEC::SYMF::AllIndexed(sf1,hold(e)),
          proc(mu) begin hold(e)[op(mu)]=hold(h)[op(mu)] end_proc )),
   op(map(muEC::SYMF::AllIndexed(sf1,hold(h)),
          proc(mu) begin hold(h)[op(mu)]=hold(e)[op(mu)] end_proc )),
   op(map(muEC::SYMF::AllIndexed(sf1,hold(p)),
          proc(mu) begin hold(p)[op(mu)]=(-1)^(_plus(op(mu),nops(mu)))*hold(p)[op(mu)] end_proc )),
   op(map(muEC::SYMF::AllIndexed(sf1,hold(s)),
          proc(mu) begin hold(s)[op(mu)]=hold(s)[op(muEC::PART::Part2Conjugate(mu))] end_proc )),
   op(map(muEC::SYMF::AllIndexed(sf1,hold(m)),
          proc(mu) begin hold(m)[op(mu)]=
                   muEC::SYMF::Tom(muEC::SYMF::SfOmega(muEC::SYMF::Top(hold(m)[op(mu)])))
          end_proc))
  ],
  Unsimplified
  );
end_proc:

/*
|  VP120198
*/
muEC::SYMF::SfOmega_check := proc(sf1)
begin
end_proc:

/*
|  VP120198
*/
muEC::SYMF::SfOmega := proc(sf1)
begin
  if testargs() then
    muEC::SYMF::SfOmega_check(args());
  end_if;
  muEC::SYMF::SfOmega_core(args());
end_proc:
