/*
|  File IsPart (TYP PACKAGE) Jeudi 22 mai 1997 13:45:40
|
|  IsPart(p) tests whether p is a partition in decreasing order...
|
*/

/*
|  VP220597
*/
muEC::TYP::IsPart:=proc(p)
local
  i; /* var for loop... */
begin
  if (type(p)<>DOM_LIST) then
    FALSE;
  elif (nops(p)=0) then
    TRUE;
  elif (not (type(p[1])=DOM_INT and p[1]>0)) then
    FALSE;
  else
    for i from 2 to nops(p) do
      if (not (type(p[i])=DOM_INT and p[i]>0)) then
        return(FALSE);
      end_if;
      if (p[i]>p[i-1]) then
        return(FALSE);
      end_if;
    end_for;
    TRUE;
  end_if;
end_proc:

/*
|  VP220597
*/
muEC::TYP::IsPart_with0:=proc(p)
local
  i; /* var for loop... */
begin
  if (type(p)<>DOM_LIST) then
    FALSE;
  elif (nops(p)=0) then
    TRUE;
  elif (not (type(p[1])=DOM_INT and p[1]>=0)) then
    FALSE;
  else
    for i from 2 to nops(p) do
      if (not (type(p[i])=DOM_INT and p[i]>=0)) then
        return(FALSE);
      end_if;
      if (p[i]>p[i-1]) then
        return(FALSE);
      end_if;
    end_for;
    TRUE;
  end_if;
end_proc:
