/*
|  File IsX (TYP PACKAGE) Sun May 17 11:28:51 MET DST 1998
*/

/*
|  IsX(p) tests whether p is a Schubert polynomial indexed by
|         a permutation.
|  VP170598
*/
muEC::TYP::IsX:=proc(p)
begin
  if not testtype(p,"_index") then
    return(FALSE);
  end_if;
  if op(p,1) <> hold(X) then
    return(FALSE);
  end_if;
  muEC::TYP::IsPerm([op(p,2..nops(p))]);
end_proc:
