/*
|  File IsY (TYP PACKAGE) Sun May 17 11:34:09 MET DST 1998
*/

/*
|  IsY(p) tests whether p is a Schubert polynomial indexed by
|         a sequence of nonnegative integers.
|  VP170598
*/
muEC::TYP::IsY:=proc(p)
begin
  if not testtype(p,"_index") then
    return(FALSE);
  end_if;
  if op(p,1)<>hold(Y) then
    return(FALSE);
  end_if;
  if nops(p)=1 then
    return(FALSE);
  end_if;
  bool(map([op(p,2..nops(p))],
           proc(x) begin if (testtype(x,Type::NonNegInt)) then null();
                   else x end_if end_proc)=[]);
end_proc:
