/*****************************************************************************
  $Id: coeffRing.tst,v 1.1.1.1 2003/09/15 16:37:46 nthiery Exp $
  File:		lib/POLYLIB/TEST/coeffRing.tst
  Authors:	Nicolas M. Thiry <nthiery@users.sourceforge.net>
  Purpose:	Test file for the library 'polylib::coeffRing'
  Created:	27/08/2003
  License:	LGPL
*****************************************************************************/

prog::testinit("coeffRing"):

prog::testfunc(polylib::coeffRing):

prog::check(polylib::coeffRing, 3):

K:=Dom::ExpressionField():

for P in [polylib::Poly([x]),
	  polylib::Poly([x], K),
	  Dom::UnivariatePolynomial(x, K),
	  Dom::MultivariatePolynomial([x], K),
	  Dom::DistributedPolynomial ([x], K)] do
    prog::test(polylib::coeffRing(P), K);
    prog::test(polylib::coeffRing(P(3*x^3*y*z + x + 1)),
	       K):
end_for:

P := polylib::Poly([x], IntMod(3)):
prog::test(polylib::coeffRing(P), Dom::IntegerMod(3)):
prog::test(polylib::coeffRing(P(x)), Dom::IntegerMod(3)):

prog::test(polylib::coeffRing(Dom::Matrix()), K):

prog::testexit():

// Local Variables:
// mode: mupad
// End:
