/*****************************************************************************
  $Id: poly2list.mu,v 1.1.1.1 2003/09/15 16:37:46 nthiery Exp $
  File:		lib/POLYLIB/poly2list.mu
  Authors:	Nicolas M. Thiry <nthiery@users.sourceforge.net>
  Created:	26/09/2002
*****************************************************************************/

/**
   Allow for overloading poly2list. This will be in the kernel in
   MuPAD 3.0.0
**/

polylib::poly2list :=
proc(p: Type::AnyType)
begin
    if domtype(p)=DOM_POLY then
	return(poly2list(p));
    end_if;
    if p::dom::poly2list<>FAIL then
	return(p::dom::poly2list(p));
    end_if;
    if domtype(extop(p,1))=DOM_POLY then // temporary until poly2list is
	// defined as a method of Dom::UnivariatePolynomial & such
	return(poly2list(extop(p,1)));
    end_if;
    return(hold(polylib::poly2list)(args()));
end_proc:
