/*****************************************************************************
  $Id: domainWrapper.tst,v 1.1.1.2 2004/10/04 17:25:13 nthiery Exp $
  File:         lib/PROG/TEST/domainWrapper.mu
  Authors:      Nicolas M. Thiry <nthiery@users.sourceforge.net>
                Florent Hivert <florent.hivert@univ-mlv.fr>
  Created:      20/09/2003
  License:      LGPL
*****************************************************************************/


prog::testinit("domainWrapper"):

prog::testfunc(prog::domainWrapper):

domain ATest
    inherits Dom::BaseDomain;
    _indexDomain := () -> [args()];
    new := proc() 
	   begin
	       new(dom, args()):
	   end_proc;
begin
end_domain:
wrA := prog::domainWrapper(ATest):

prog::testfunc(prog::domainWrapper::func_call):
prog::test(wrA(), ATest::new()):
prog::test(wrA(a), ATest::new(a)):
prog::test(wrA(1,2,3), ATest::new(1,2,3)):

prog::testfunc(prog::domainWrapper::_index):
prog::test(wrA[], []):
prog::test(wrA[a], [a]):
prog::test(wrA[1,2,3], [1,2,3]):

prog::testfunc(prog::domainWrapper::testtype):
prog::test(testtype(wrA(), ATest)):
prog::test(testtype(wrA(), wrA)):
prog::test(testtype(wrA(a), ATest)):
prog::test(testtype(wrA(a), wrA)):
prog::test(testtype(wrA(1,2,3), ATest)):
prog::test(testtype(wrA(1,2,3), wrA)):
prog::test(testtype(wrA, prog::domainWrapper)):

prog::testexit():

// Local Variables:
// mode: mupad
// End:
