//////////////////////////////////////////////////////////////////////////////
// $Id: SmallList.cc,v 1.1.1.2 2005/01/26 13:42:20 nthiery Exp $
// Name:	SmallList.cc
// Purpose:	Class SmallList for efficient small lists of small objects
//		(Implementation)
// Author:	Nicolas M. Thiry <nthiery@mines.edu>
// Created:	2000/04
// Copyright:	LGPL
//////////////////////////////////////////////////////////////////////////////

#include "GLIP/SmallList.h"
#include "GLIP/SmallList_tmpl.h"

namespace GLIP {    // Explicit instantiation for the default values
  template class SmallList<>;
  template class SmallList<char>;

  // Non inline templates members and helper functions
  // They need to be explicitely instanciated
  template SmallList<>::SmallList(int *, int*);
  template std::ostream &operator << (std::ostream &, const SmallList<> &);
  template std::istream &operator >> (std::istream &,       SmallList<> &);
}
