// $Date: 2004/10/02 16:32:33 $ $Author: nthiery $ $Revision: 1.17 $ 

/*++
	adt - Library for abstract data types 

++*/

adt:=newDomain("adt"):
adt::create_dom:=hold(adt):
adt::info:="Library 'adt':  a collection of abstract data types":
adt::interface:={hold(Stack), hold(Queue), hold(Tree), hold(Heap)}:

alias(path = pathname("ADT")):

adt::Heap   := loadproc(adt::Heap,   path, "heap"):
adt::Stack  := loadproc(adt::Stack,  path, "Stack"):
adt::Stream := loadproc(adt::Stream, path, "stream"):
adt::Queue  := loadproc(adt::Queue,  path, "queue"):
adt::Tree   := loadproc(adt::Tree,   path, "tree"):
adt::XML    := loadproc(adt::XML,    path, "XML"):

adt::type:= ADT -> ADT::type:

null():

// end of file 
