// $Id: interval.mu,v 1.45 2003/09/21 09:58:12 ccr Exp $

interval:=newDomain("interval"):
interval::create_dom:=hold(interval):

interval::info:="Library 'interval': verified numerics":
// interval::interface:={hold(matlinsolve), hold(GaussSeidel),
//                       hold(newton), hold(Taylor),
// 		      hold(int),
// //                      hold(intTaylor),
// //                      hold(intTaylorDiff),
// 		      hold(autodiff),
//                       hold(evalSimple), hold(evalMean),
//                       hold(evalSlope), hold(evalBiCentered)}:

// undocumented and mostly untested, since plot took all the time. :-(
interval::interface := {}:

interval::new := stdlib::interval:

alias(path = pathname("INTERVAL")):
interval::matlinsolve      := loadproc(interval::matlinsolve,      path, "matlinsolve"):
interval::_gauss_seidel    := loadproc(interval::_gauss_seidel,    path, "gaussSeidel"):
interval::GaussSeidel      := loadproc(interval::GaussSeidel,      path, "gaussSeidel"):
interval::_pivot_maxdiag   := loadproc(interval::_pivot_maxdiag,   path, "pivot"):
interval::newton           := loadproc(interval::newton,           path, "newton"):
interval::_legendre_zeroes := loadproc(interval::_legendre_zeroes, path, "GaussLegendre"):
interval::_legendre_poly   := loadproc(interval::_legendre_poly,   path, "legendre"):
interval::legendre         := loadproc(interval::legendre,         path, "legendre"):

interval::Taylor    := loadproc(interval::Taylor,    path, "Taylor"):
interval::intTaylor := loadproc(interval::intTaylor, path, "intTaylor"):

interval::evalSimple     := loadproc(interval::evalSimple,     path, "eval"):
interval::evalMean       := loadproc(interval::evalMean,       path, "eval"):
interval::evalSlope      := loadproc(interval::evalSlope,      path, "eval"):
interval::evalBiCentered := loadproc(interval::evalBiCentered, path, "eval"):

interval::autodiff       := loadproc(interval::autodiff,       path, "autodiff"):

interval::legendre_direct_
                         := loadproc(interval::legendre_direct_,
				                               path, "gldata"):
interval::gldata         := loadproc(interval::gldata,         path, "gldata"):

interval::int            := loadproc(interval::int,            path, "int"):

null():
