/*
 $Id: experimentalInt.mu,v 1.1 2004/09/14 14:45:43 ccr Exp $
 
 Pref::experimentalInt -- use experimental pattern matching
                          for integration
 
*/

proc()
  option escape;
  local status;
begin
  status := FALSE; // by default, behave as 3.0 did
  Pref::experimentalInt := funcenv(
    proc(n)
      local r;
    begin
      case args(0) 
        of 0 do
          return(status)
        of 1 do
          if args(1) = NIL then // set default value 
            r := status;
            status := FALSE;
            return(r);
          elif domtype(n) <> DOM_BOOL or n = UNKNOWN then
            error("expecting TRUE or FALSE");
          else
            r := status;
            status := n;
            return(r);
          end_if
        otherwise
          error("wrong no of args (expecting TRUE or FALSE)")
        end_case
    end_proc);
  Pref::experimentalInt::info := "Use experimental pattern matching for integration";
end_proc():

// end of file 
