// $Date: 2004/06/18 08:51:47 $ $Author: bij $ $Revision: 1.1 $

//  prog::testmethod - user changable method, that compares two results
//    to be equal/correct
//  
//  prog::testmethod(f)
//  
//  f - procedure with two parameters, that must return TRUE or FALSE
//      or an expression, that can be evaluated by bool
//
//  The default value is '_equal'.
//  
//  Example:
//  prog::testmethod((X, Y) -> is(X = Y)

prog::TestMethod := FAIL:

prog::testmethod:=
  proc(FUNC)
  begin
    if args(0) = 0 then
      prog::TestMethod
    else
      if FUNC = NIL then FUNC := FAIL end_if;
      sysassign(prog::TestMethod, FUNC)
    end_if
  end_proc:

