// $Id: DOM_INT.mu,v 1.1 2002/06/18 11:49:48 bij Exp $

// conversion methods for integer numbers

DOM_INT::Rectform:=
  proc(int)
  begin
    Set("Rectform", Set("Finite", int), Set::Zero)
  end_proc:

DOM_INT::Polarform:=
  proc(int)
  begin
    Set::coerce(DOM_INT::Rectform(int), "Polarform")
  end_proc:

DOM_INT::Real:=
  proc(int)
  begin
    Set("Real", "int", {sign(int)})
  end_proc:

DOM_INT::Finite:=
  proc(int)
  begin
    Set("Finite", int)
  end_proc:

DOM_INT::Interval:=
  proc(int)
  begin
    Set("Interval", [int], [int])
  end_proc:

DOM_INT::Union:=
  proc(int)
  begin
    Set("Union", Set("Finite", int))
  end_proc:

DOM_INT::Intersect:=
  proc(int)
  begin
    Set("Intersect", Set("Finite", int))
  end_proc:

DOM_INT::Minus:=
  proc(int)
  begin
    Set("Minus", Set("Finite", int), Set::Empty)
  end_proc:

DOM_INT::Bigunion:=
  proc(int)
  begin
    FAIL
  end_proc:

DOM_INT::Imageset:=
  proc(int)
  begin
    Set("Imageset", `#k`, `#k`, Set("Finite", int))
  end_proc:

DOM_INT::Set:=
  proc(int)
  begin
    Set("Finite", int)
  end_proc: