// $Date: 2002/07/02 13:37:03 $ $Author: bij $ $Revision: 1.1 $

/*
   Intersect     - Domain of intersections

   op(Intersect) - sets...

*/

alias(Intersect = Set::Intersect):

Intersect:= newDomain("Set::Intersect"):
Intersect::create_dom:= hold(Set::Intersect):
Intersect::info:= "Domain of intersect sets":
Intersect::domtype:= ()->Set:
Intersect::type:= "Set::Intersect":
Intersect::prop:= TRUE: // usable as property
Intersect::testtype:= Type::testtype: // ??

Intersect::new:=
  proc()
  begin
    if args(0) < 2 then
      args()
    else
      new(Intersect, args())
    end_if
  end_proc:

Intersect::_union:=
  proc(IS1, IS2)
  begin
    Intersect::new()
  end_proc:

Intersect::_intersect:=
  proc(IS1, IS2)
  begin
    Intersect::new()
  end_proc:

Intersect::_minus:=
  proc(IS1, IS2)
  begin
    Intersect::new()
  end_proc:

Intersect::contains:=
  proc(IS, elem)
  begin
    _and(map(extop(IS), contains, elem))
  end_proc:



// elem-wise conversion
Intersect::Real:=
  proc(FS)
  begin
    //Set::coerce(Set::_union(map((Elem(FS)), Set::coerce, Set::Real)), Set::Real)
  end_proc:

// elem-wise conversion
Intersect::Rectform:=
  proc(FS)
  begin
    //Set::coerce(Set::_union(map((Elem(FS)), Set::coerce, Set::Rectform)), Set::Rectform)
  end_proc:

// elem-wise conversion
Intersect::Interval:=
  proc(FS)
  begin
    //Set::coerce(Set::_union(map((Elem(FS)), Set::coerce, Set::Interval)), Set::Interval)
  end_proc:

// 
Intersect::print:=
  proc(IS)
  begin
    hold(_intersect)(extop(IS))
  end_proc: