// $Id: combineIntPowers.mu,v 1.4 2003/09/04 16:04:38 stefanw Exp $

// 06/2003, bij, stefanw
//

Simplify::combineIntPowers:=
proc(e: "_mult")
  local t;
begin
  t:= split(e, fctor -> type(fctor) = "_power" and
            type(op(fctor, 1)) = DOM_INT);
  // there should be no "unknown"
  assert(t[3] = 1);
  t:= combine(t[1])*t[2]*t[3];
    // combine powers with non-rational exponent and the constant
  // (such as 4*2^n -> 2^(n+2))
  if type(t) <> "_mult" then
    return(t)
  end_if;
    
  t:= split(t, fctor -> type(fctor) = "_power" and
            type(op(fctor, 1)) = DOM_INT and type(op(fctor, 2)) <> DOM_RAT
            or type(fctor) = DOM_INT);
  combine(t[1])*t[2]*t[3]
    
end_proc: