
Simplify::minus1Power:=
proc(a)
  local expo, reduceMod2: DOM_PROC;
begin
  assert(type(a) = "_power" and op(a, 1) = -1);
  expo:= op(a, 2);

  if type(expo) = "_power" and is(op(expo, 1) in Q_) = TRUE and
    type(op(expo, 2)) = DOM_INT then
    // use that n^m \equiv n mod 2
    return((-1)^op(expo, 1))
  end_if;



  // symmetric reduction modulo 2
  reduceMod2:=
  proc(b)
  begin
    case type(b)
      of DOM_INT do
        return(b mod 2)
      of DOM_RAT do
        return(frac(1/2 + b/2)*2 - 1)
      of DOM_COMPLEX do
        return(reduceMod2(op(b, 1)) + op(b, 2)*I)
      of "_plus" do
        return(map(b, reduceMod2))
    end_case;
      if is(b, Type::Integer)=TRUE and stdlib::hasmsign(b) then
        -b
      else
        b
      end_if
  end_proc;

  expo:= reduceMod2(expo);

  if type(expo) = DOM_RAT and expo<0 then
    return(- (-1)^(expo+1))
  else
    return((-1)^expo)
  end_if

end_proc: