
Simplify::signToAbsInProd:=
proc(a: "_mult")
  local operands, signs, i, j;
begin
  operands:= [op(a)];
  signs:= select(operands, testtype, "sign");
  for i from 1 to nops(signs) do
    // check whether the product contains X as well as sign(X), for some X
    if (j:= contains(operands, op(signs[i]))) > 0 then
      a:= a / signs[i] / operands[j] * abs(operands[j])
    end_if
  end_for;

  a
end_proc: