// $Date: 2003/11/11 15:57:52 $ $Author: stefanw $ $Revision: 1.2 $

// 09/2003, bij, stefanw
// 
// simplify::MatchRules
//   all rules with patterns
// 
alias(path = pathname("SIMPLIFY", "RULES"));

Simplify::MatchRules := newDomain("Simplify::MatchRules"):

alias(MatchRules = Simplify::MatchRules):

MatchRules::info := "collection of equivalence rules":
MatchRules::interface:= {}:

// collection of rules
MatchRules::All := loadproc(MatchRules::All , path, "All"):

//package("Match", Quiet):
//Match:

//MatchRules::RULES := []:

//MatchRules::tr := R -> [MatchRules::pattern(R), MatchRules::result(R),
//                  _if(MatchRules::cond(R) = {}, null(), [op(MatchRules::cond(R))])]:

(slot(MatchRules, k) := loadproc(slot(MatchRules, k), path, k);
// eval(slot(MatchRules, k));
// //fprint(0, hold(slot)(MatchRules, k));
// //MatchRules::RULES := MatchRules::RULES . slot(MatchRules, k)
// // transform to match procedure
// //traperror((slot(MatchRules, k) := Match::Compiler(map(slot(MatchRules, k), MatchRules::tr))))
)       
 $ k in [//"Ci", "D", "Ei",
         "Im", "Re", // "RootOf", "Si",
         "_and",
         "_div", // "_divide",
           "_equal",
         //"_equiv", "_exists", "_exprseq", 
           "_fconcat",
         //"_forall",
         //"function",
         //"_implies",
           "_in",
           "_intersect",
         //"_invert",
         "_leequal", "_less",
         "_minus", "_mod",
         "_mult",
         //"_negate",
         "_not", "_or",
         "_plus", "_power",
         //"_subtract",
         "_unequal", "_union",
         
         "abs", // "arccos", "arccosh",
         "arccot", // "arccoth",
         //"arccsc", "arccsch", "arcsec", "arcsech", "arcsin", "arcsinh",
         "arctan", // "arctanh", "arg", "asympt",
         //"bernoulli", "besselI", "besselJ", "besselK", "besselY",
         //"beta",
         "binomial",
         //"conjugate",
         "cos", "cosh",
         "cot", // "coth", "csc", "csch",
         //"diff", "dilog", "dirac", "divide",
         //"erf", "erfc", "exp", "fact",
         "gamma",
         //"gcov", "heaviside",
         "int",
         // "lambertV", "lambertW",
         "ln", "log",
         "max", "min",
         "modp", "mods",
         //"norm", "pdivide", "poly", "polylog",
         //"product", "psi",
         //"sec", "sech", "series", "sign", "signIm",
         "sin",
         "sinh", // "solve", "sqrt", "sum",
         "tan", "tanh", // ,"taylor",
         "whittakerM"               // "zeta"
         ]:

// compile all patterns
//if traperror((MatchRules::ALL := Match::Compiler(map(MatchRules::RULES, MatchRules::tr)))) <> 0 then
//  warning("match compiler error")
//end_if:
