// $Date: 2003/09/22 11:45:43 $ $Author: bij $ $Revision: 1.2 $




Simplify::MatchRules::Re:=
  [
   // link to property mechanism; should work autoimatically, since
   // it is checked by Re itself 
   // Rule(Re(`#X`), `#X`, {`#X` -> is(`#X`, Type::Real)}),

   // additivity
   Rule(Re(`#X` + `#Y`), hold(Re(`#X`) + Re(`#Y`)) ),

   // R - linearity is included in the general rule

   Rule(Re(`#X` * `#Y`), hold(Re(`#X`) * Re(`#Y`) - Im(`#X`) * Im(`#Y`)) )
   ]: