// $Date: 2003/09/22 11:45:43 $ $Author: bij $ $Revision: 1.3 $

// 
// patt, repl, OPT (wie fur match)
// 
// 
// 
// 
// 

Simplify::MatchRules::_mult:=
  [
   Rule(`#A`*(`#B`+`#C`), `#A`*`#B`+`#A`*`#C`),
   // de-normalisiere
   Rule((`#A`+`#B`)*`#C`^(-1), `#A`/`#C` + `#B`/`#C`),
   Rule(`#A`*(`#B`+`#C`)^(-1), `#A`/`#B` - `#C`*`#A`/(`#B`*(`#B`+`#C`)),
        {`#B` -> `#B`<>0}), 

   
   Rule(`#A`^`#B`*`#A`^`#C`, `#A`^(`#B`+`#C`)),
   Rule(`#A`^`#C`*`#B`^`#C`,
        (`#A`*`#B`)^`#C`,
        {(`#A`, `#B`, `#C`) -> is(`#A`>=0 or `#B`>=0 or `#C` in R_)} ),
   // allgemeingueltig??


   Rule(`#A`/(`#B`^(1/2) + `#C`),
        hold(`#A`*(`#B`^(1/2) - `#C`)/(`#B` - `#C`^2))),

   // exp-Rules

   Rule(exp(`#A`)*exp(`#B`), exp(`#A`+`#B`)),


   // Rules for trig. functions

   Rule(sin(`#X`)/cos(`#X`), hold(tan(`#X`))),
   Rule(sin(`#X`)*cos(`#Y`), hold(sin(`#X`+`#Y`) - sin(`#Y`)*cos(`#X`))),
   
   // Rules for gamma

   Rule(`#C`*gamma(`#A`)/gamma(`#B`),
        hold(`#C`*product(`#B`+k, k=0..`#A`-`#B`-1)),
        {(`#A`, `#B`) -> `#A` > `#B` and
         type(`#A`-`#B`)=DOM_INT}),

   
   Rule(`#C`*gamma(`#A`)/gamma(`#B`),
        hold(`#C`/product(`#A`+k, k=0..`#B`-`#A`-1)),
        {(`#A`, `#B`) -> `#A` < `#B` and
         type(`#A`-`#B`)=DOM_INT}),

   Rule(abs(`#A`)*abs(`#B`), hold(abs(`#A`*`#B`))),

   // Rules for the gamma function
   Rule(gamma(`#X`)*gamma(1 - `#X`), hold(PI/sin(PI*`#X`))),
   Rule(gamma(1/2 + `#X`)*gamma(1/2 - `#X`), hold(PI/cos(PI*`#X`))),
   Rule(gamma(`#X`)*gamma(-`#X`), hold(-PI/(`#X`*sin(PI*`#X`))))
   
   ]:
