// $Date: 2003/09/22 11:45:43 $ $Author: bij $ $Revision: 1.2 $

// 
// patt, repl, OPT (wie fur match)
// 
// 
// 
// 
// 

Simplify::MatchRules::_or:=
  [

   // distributive law

   Rule(`#A` or `#B` and `#C`, hold((`#A` or `#B`) and (`#A` or `#C`))),
   
   // de-expand
   Rule(`#A` and `#B` or `#A` and `#C`, hold(`#A` and (`#B` or `#C`))),
   
   Rule(not `#A` or not `#B`, hold(not (`#A` and `#B`))),

   // aus simplify::logic
   Rule(`#A` or `#A` and `#B`, `#A`),
   Rule(`#B` and `#C` or not `#C`, hold(`#B` or not `#C`)),
   Rule(not `#A` and `#C` or `#B` and not `#C` or not `#B` and not `#C`,
        hold(not `#A` or not `#C`)),
   Rule((`#A` and `#B`) or (`#A` and (not `#B`)), `#A`),
   Rule((`#A` and `#B`) or (not `#A` and `#C`) or (`#B` and `#C`),
        hold(`#A` and `#B` or not `#A` and `#C`)),
   Rule(`#A` or `#x` < `#y`, hold(`#A` or bool(`#x` < `#y`)),
        {`#x` -> testtype(`#x`, Type::Constant),
         `#y` -> testtype(`#y`, Type::Constant)}),


   // operands of type  "_in""
   Rule(`#a` in `#B` or `#a` in `#C`, hold(`#a` in `#B` union `#C`))
   
   ]:
