// $Date: 2003/10/30 08:15:27 $ $Author: bij $ $Revision: 1.4 $

// 
// 

Simplify::MatchRules::ln:=
  [Rule(ln(`#X`), hold(ln(op(`#X`, 1)) - ln(op(`#X`, 2))),
         {`#X` -> type(`#X`) = DOM_RAT}),
   Rule(ln(`#X`), hold(op(`#X`, 2)*ln(op(`#X`, 1))),
         {`#X` -> type(`#X`) = "_power"
                and (op(`#X`, 2) = 1/2
                     or is(op(`#X`, 2), Type::Positive) = TRUE)}),
   
   Rule(ln(`#PR`*`#R`), hold(ln(numer(`#PR`)) - ln(denom(`#PR`)) + ln(`#R`)),
        {`#PR` -> is(`#PR`, Type::PosRat) = TRUE}),
   Rule(ln(exp(`#Real`)*`#R`), hold(`#Real` + ln(`#R`)), {`#Real` -> is(`#Real`, Type::Real) = TRUE}),
   Rule(ln(`#Pos`^`#Real`*`#R`), hold(`#Real`*ln(`#Pos`) + ln(`#R`)), // !!!
        {`#Pos` -> is(`#Pos`, Type::Positive) = TRUE, `#Real` -> is(`#Real`, Type::Real) = TRUE}),
   Rule(ln(`#Neg`^`#Even`*`#R`), `#Even`*ln(-`#Neg`) + ln(`#R`),
        {`#Neg` -> is(`#Neg`, Type::Negative) = TRUE, `#Even` -> is(`#Even`, Type::Even) = TRUE}),
   Rule(ln(`#Neg`^`#Odd`*`#R`), `#Odd`*ln(-`#Neg`) + ln(-`#R`),
        {`#Neg` -> is(`#Neg`, Type::Negative) = TRUE, `#Odd` -> is(`#Odd`, Type::Odd) = TRUE}),
   Rule(ln(`#Pos`*`#R`), ln(`#Pos`) + ln(`#R`),
        {`#Pos` -> is(`#Pos`, Type::Positive) = TRUE}),
   Rule(ln(`#Neg`*`#R`), ln(-`#Neg`) + ln(-`#R`),
        {`#Neg` -> is(`#Neg`, Type::Negative) = TRUE}),
   Rule(ln(`#Y`^`#N`), `#N`*ln(`#Y`),
         {(`#N`, `#Y`) -> (is(`#N`, Type::Interval(-1, [1])) = TRUE
                     or `#N` = -1 and is(`#Y` <= 0) = FALSE or
                     is(`#N`, Type::Interval(-1, [1])) = TRUE
                     and is(Re(`#Y`) > 0) = TRUE)}),
   Rule(ln(exp(`#Z`)), `#Z`,
         {`#Z` -> is(Im(`#Z`), Type::Interval(-PI, [PI]))})
   ]:

