


Simplify::MatchRules::log:=
  [
         
      Rule(log(B, POSINT1*POSINT2*R), hold(log(B, POSINT1) - log(B, POSINT2) + log(B, R)),
        {POSINT1 -> is(POSINT1, Type::PosInt) = TRUE,
         POSINT2 -> is(POSINT2, Type::PosInt) = TRUE,
         R -> is(R, Type::Real) = TRUE}),

      Rule(log(B, X*Y), log(B, X) + log(B, Y),
           {X -> is(X > 0) = TRUE, Y -> is(Y > 0) = TRUE}),

      Rule(log(B, X^K), K* log(B, X),
           {K -> is(K, Type::Real) = TRUE, X -> is(X > 0) = TRUE}),

   
      // rewriting by ln
      Rule(log(`#B`, `#X`), hold(ln(`#X`)/ln(`#B`)) )


   ]:

