



Simplify::MatchRules::whittakerM:=
[
 // rewrite whittaker by smaller indices
 Rule(whittakerM(`#K`, `#M`, `#Z`),
        ((1+2*`#M`-2*(`#K`-1)) * whittakerM(`#K`-2, `#M`, `#Z`) + 
        2* (2*(`#K`-1) - `#Z`) * whittakerM(`#K`-1, `#M`, `#Z`))
        /(1+2*`#M`+2*(`#K`-1)),
      {},  table("Default" = 1.3)),

 // rewrite whittaker by larger indices

 Rule(whittakerM(`#K`, `#M`, `#Z`),
((1+2*`#M`+2*(`#K`+1)) * whittakerM(`#K`+2, `#M`, `#Z`) -
       2* (2*(`#K`+1) - `#Z`) * whittakerM(`#K`+1, `#M`, `#Z`))/
      (1+2*`#M`-2*(`#K`+1)), {}, table("Default" = 1.3)
      )

 ]: