// $Id: _plus.mu,v 1.13 2004/03/22 15:56:27 stefanw Exp $

// 06/2003, bij, stefanw
//
// simplification methods for expressions of type '_plus'
//   must be a list of procedures or rules

Simplify::_plus :=
proc(S)
  local inds, ratinds;
begin
  inds:= indets(S, All);
  ratinds:= indets(S, RatExpr);
  [

   Rule(Simplify::sqrfreeFactor, {}, table("Default" = 1.05)),
   
   Rule(X -> maprat(X, expr@factor), {}, table("Default" = 1.3)),
   
   if contains(inds, hold(sin)) or contains(inds, hold(cos)) then
     Rule(X -> combine(X, sincos))
   else
     null()
   end_if,

   if contains(inds, hold(exp)) and nops(select(ratinds, testtype, "exp")) > 1
     then
     Rule(Simplify::expSimpl, {}, table("Default" = 0.9))
   else
     null()
   end_if


   ]

end_proc:

