/*++
min, max -- compute minima and maxima

min(a,...)
max(a,...)

a - expression
++*/

min:= stdlib::min:
min::info := "min -- the minimum":
min::float := () -> min(map(args(), float)):
min::operator := _op_plusmult:
min::hull := () -> hull(args()):
min::Content := (Out, data) -> Out::Capply(Out::Cmin, map(op(data), Out)):
min::TeX := (m, data, prio) -> generate::TeXseq("\\min\\left(", "\\right)",
						op(data)):
min::simplify:= loadproc(min::simplify, pathname("STDLIB", "SIMPLIFY"), "min"):

max:= stdlib::max:
max::info := "max -- the maximum":
max::float := () -> max(map(args(), float)):
max::operator := _op_plusmult:
max::hull := () -> hull(args()):
max::Content := (Out, data) -> Out::Capply(Out::Cmax, map(op(data), Out)):
max::TeX := (m, data, prio) -> generate::TeXseq("\\max\\left(", "\\right)",
						op(data)):
max::simplify:= loadproc(max::simplify, pathname("STDLIB", "SIMPLIFY"), "max"):
